<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for Api_ServicePlanEntryArrayTO ArrayType
 * @subpackage Arrays
 */
class Api_ServicePlanEntryArrayTO extends AbstractStructArrayBase
{
    /**
     * The array
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Api_ServicePlanEntryTO[]
     */
    public $array;
    /**
     * Constructor method for Api_ServicePlanEntryArrayTO
     * @uses Api_ServicePlanEntryArrayTO::setArray()
     * @param \StructType\Api_ServicePlanEntryTO[] $array
     */
    public function __construct(array $array = array())
    {
        $this
            ->setArray($array);
    }
    /**
     * Get array value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Api_ServicePlanEntryTO[]|null
     */
    public function getArray()
    {
        return isset($this->array) ? $this->array : null;
    }
    /**
     * Set array value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\Api_ServicePlanEntryTO[] $array
     * @return \ArrayType\Api_ServicePlanEntryArrayTO
     */
    public function setArray(array $array = array())
    {
        foreach ($array as $api_ServicePlanEntryArrayTOArrayItem) {
            // validation for constraint: itemType
            if (!$api_ServicePlanEntryArrayTOArrayItem instanceof \StructType\Api_ServicePlanEntryTO) {
                throw new \InvalidArgumentException(sprintf('The array property can only contain items of \StructType\Api_ServicePlanEntryTO, "%s" given', is_object($api_ServicePlanEntryArrayTOArrayItem) ? get_class($api_ServicePlanEntryArrayTOArrayItem) : gettype($api_ServicePlanEntryArrayTOArrayItem)), __LINE__);
            }
        }
        if (is_null($array) || (is_array($array) && empty($array))) {
            unset($this->array);
        } else {
            $this->array = $array;
        }
        return $this;
    }
    /**
     * Add item to array value
     * @throws \InvalidArgumentException
     * @param \StructType\Api_ServicePlanEntryTO $item
     * @return \ArrayType\Api_ServicePlanEntryArrayTO
     */
    public function addToArray(\StructType\Api_ServicePlanEntryTO $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Api_ServicePlanEntryTO) {
            throw new \InvalidArgumentException(sprintf('The array property can only contain items of \StructType\Api_ServicePlanEntryTO, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->array[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\Api_ServicePlanEntryTO|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\Api_ServicePlanEntryTO|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\Api_ServicePlanEntryTO|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\Api_ServicePlanEntryTO|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\Api_ServicePlanEntryTO|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string array
     */
    public function getAttributeName()
    {
        return 'array';
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructArrayBase::__set_state()
     * @uses AbstractStructArrayBase::__set_state()
     * @param array $array the exported values
     * @return \ArrayType\Api_ServicePlanEntryArrayTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
