<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'login' => '\\StructType\\Login',
            'Api_LoginLoginTO' => '\\StructType\\Api_LoginLoginTO',
            'Api_Integer' => '\\StructType\\Api_Integer',
            'loginResponse' => '\\StructType\\LoginResponse',
            'Api_SessionId' => '\\StructType\\Api_SessionId',
            'DynafleetAPIException' => '\\StructType\\DynafleetAPIException',
            'ExceptionInformation' => '\\StructType\\ExceptionInformation',
            'logout' => '\\StructType\\Logout',
            'logoutResponse' => '\\StructType\\LogoutResponse',
            'getDeletedServicePlans' => '\\StructType\\GetDeletedServicePlans',
            'getDeletedServicePlansResponse' => '\\StructType\\GetDeletedServicePlansResponse',
            'Api_LongArrayTO' => '\\ArrayType\\Api_LongArrayTO',
            'Api_Long' => '\\StructType\\Api_Long',
            'getModifiedServicePlans' => '\\StructType\\GetModifiedServicePlans',
            'getModifiedServicePlansResponse' => '\\StructType\\GetModifiedServicePlansResponse',
            'Api_ServicePlanEntryArrayTO' => '\\ArrayType\\Api_ServicePlanEntryArrayTO',
            'Api_ServicePlanEntryTO' => '\\StructType\\Api_ServicePlanEntryTO',
            'Api_Date' => '\\StructType\\Api_Date',
            'Api_VehicleId' => '\\StructType\\Api_VehicleId',
            'getServicePlan' => '\\StructType\\GetServicePlan',
            'Api_ServicePlanGetServicePlanTO' => '\\StructType\\Api_ServicePlanGetServicePlanTO',
            'getServicePlanResponse' => '\\StructType\\GetServicePlanResponse',
            'addOrderItem' => '\\StructType\\AddOrderItem',
            'Api_OrderAddOrderItemTO' => '\\StructType\\Api_OrderAddOrderItemTO',
            'Api_OrderItemTO' => '\\StructType\\Api_OrderItemTO',
            'Api_OrderFormFieldTO' => '\\StructType\\Api_OrderFormFieldTO',
            'Api_OrderStatusTO' => '\\StructType\\Api_OrderStatusTO',
            'Api_TrackingDataTO' => '\\StructType\\Api_TrackingDataTO',
            'Api_DriverId' => '\\StructType\\Api_DriverId',
            'Api_DriverIdArray' => '\\ArrayType\\Api_DriverIdArray',
            'Api_PositionTO' => '\\StructType\\Api_PositionTO',
            'Api_Double' => '\\StructType\\Api_Double',
            'Api_Float' => '\\StructType\\Api_Float',
            'Api_PoiId' => '\\StructType\\Api_PoiId',
            'addOrderItemResponse' => '\\StructType\\AddOrderItemResponse',
            'assignOrderToUser' => '\\StructType\\AssignOrderToUser',
            'Api_OrderAssignOrderToUserTO' => '\\StructType\\Api_OrderAssignOrderToUserTO',
            'Api_UserId' => '\\StructType\\Api_UserId',
            'assignOrderToUserResponse' => '\\StructType\\AssignOrderToUserResponse',
            'assignOrderToVehicle' => '\\StructType\\AssignOrderToVehicle',
            'Api_OrderAssignOrderToVehicleTO' => '\\StructType\\Api_OrderAssignOrderToVehicleTO',
            'assignOrderToVehicleResponse' => '\\StructType\\AssignOrderToVehicleResponse',
            'deleteCompletedOrder' => '\\StructType\\DeleteCompletedOrder',
            'Api_OrderDeleteCompletedOrderTO' => '\\StructType\\Api_OrderDeleteCompletedOrderTO',
            'deleteCompletedOrderResponse' => '\\StructType\\DeleteCompletedOrderResponse',
            'deleteOrderItem' => '\\StructType\\DeleteOrderItem',
            'Api_OrderDeleteOrderItemTO' => '\\StructType\\Api_OrderDeleteOrderItemTO',
            'deleteOrderItemResponse' => '\\StructType\\DeleteOrderItemResponse',
            'getCompletedOrders' => '\\StructType\\GetCompletedOrders',
            'Api_OrderGetCompletedOrdersTO' => '\\StructType\\Api_OrderGetCompletedOrdersTO',
            'Api_Boolean' => '\\StructType\\Api_Boolean',
            'getCompletedOrdersResponse' => '\\StructType\\GetCompletedOrdersResponse',
            'Api_OrderArrayTO' => '\\ArrayType\\Api_OrderArrayTO',
            'Api_OrderTO' => '\\StructType\\Api_OrderTO',
            'getCoveredDistanceFromStatus' => '\\StructType\\GetCoveredDistanceFromStatus',
            'Api_OrderGetCoveredDistanceFromStatusTO' => '\\StructType\\Api_OrderGetCoveredDistanceFromStatusTO',
            'getCoveredDistanceFromStatusResponse' => '\\StructType\\GetCoveredDistanceFromStatusResponse',
            'getCreatedOrders' => '\\StructType\\GetCreatedOrders',
            'getCreatedOrdersResponse' => '\\StructType\\GetCreatedOrdersResponse',
            'getCustomerOrder' => '\\StructType\\GetCustomerOrder',
            'Api_OrderGetCustomerOrderTO' => '\\StructType\\Api_OrderGetCustomerOrderTO',
            'Api_TransportCustomerId' => '\\StructType\\Api_TransportCustomerId',
            'getCustomerOrderResponse' => '\\StructType\\GetCustomerOrderResponse',
            'getCustomerOrders' => '\\StructType\\GetCustomerOrders',
            'Api_OrderGetCustomerOrdersTO' => '\\StructType\\Api_OrderGetCustomerOrdersTO',
            'getCustomerOrdersResponse' => '\\StructType\\GetCustomerOrdersResponse',
            'getDeletedOrders' => '\\StructType\\GetDeletedOrders',
            'getDeletedOrdersResponse' => '\\StructType\\GetDeletedOrdersResponse',
            'getElapsedTimeFromStatus' => '\\StructType\\GetElapsedTimeFromStatus',
            'Api_OrderGetElapsedTimeFromStatusTO' => '\\StructType\\Api_OrderGetElapsedTimeFromStatusTO',
            'getElapsedTimeFromStatusResponse' => '\\StructType\\GetElapsedTimeFromStatusResponse',
            'getFuelConsumptionFromStatus' => '\\StructType\\GetFuelConsumptionFromStatus',
            'Api_OrderGetFuelConsumptionFromStatusTO' => '\\StructType\\Api_OrderGetFuelConsumptionFromStatusTO',
            'getFuelConsumptionFromStatusResponse' => '\\StructType\\GetFuelConsumptionFromStatusResponse',
            'getMinimumOrder' => '\\StructType\\GetMinimumOrder',
            'Api_OrderGetMinimumOrderTO' => '\\StructType\\Api_OrderGetMinimumOrderTO',
            'getMinimumOrderResponse' => '\\StructType\\GetMinimumOrderResponse',
            'getModifiedOrderItems' => '\\StructType\\GetModifiedOrderItems',
            'getModifiedOrderItemsResponse' => '\\StructType\\GetModifiedOrderItemsResponse',
            'Api_OrderItemArrayTO' => '\\ArrayType\\Api_OrderItemArrayTO',
            'getOrder' => '\\StructType\\GetOrder',
            'Api_OrderGetOrderTO' => '\\StructType\\Api_OrderGetOrderTO',
            'getOrderResponse' => '\\StructType\\GetOrderResponse',
            'getOrderItem' => '\\StructType\\GetOrderItem',
            'Api_OrderGetOrderItemTO' => '\\StructType\\Api_OrderGetOrderItemTO',
            'getOrderItemResponse' => '\\StructType\\GetOrderItemResponse',
            'getOrdersMarkedAsRead' => '\\StructType\\GetOrdersMarkedAsRead',
            'getOrdersMarkedAsReadResponse' => '\\StructType\\GetOrdersMarkedAsReadResponse',
            'markOrderAsCompleted' => '\\StructType\\MarkOrderAsCompleted',
            'Api_OrderMarkOrderAsCompletedTO' => '\\StructType\\Api_OrderMarkOrderAsCompletedTO',
            'markOrderAsCompletedResponse' => '\\StructType\\MarkOrderAsCompletedResponse',
            'markOrderAsRead' => '\\StructType\\MarkOrderAsRead',
            'Api_OrderMarkOrderAsReadTO' => '\\StructType\\Api_OrderMarkOrderAsReadTO',
            'markOrderAsReadResponse' => '\\StructType\\MarkOrderAsReadResponse',
            'sendOrderItemToVehicle' => '\\StructType\\SendOrderItemToVehicle',
            'Api_OrderSendOrderItemToVehicleTO' => '\\StructType\\Api_OrderSendOrderItemToVehicleTO',
            'sendOrderItemToVehicleResponse' => '\\StructType\\SendOrderItemToVehicleResponse',
            'sendOrderToVehicle' => '\\StructType\\SendOrderToVehicle',
            'Api_OrderSendOrderToVehicleTO' => '\\StructType\\Api_OrderSendOrderToVehicleTO',
            'sendOrderToVehicleResponse' => '\\StructType\\SendOrderToVehicleResponse',
            'storeNewOrder' => '\\StructType\\StoreNewOrder',
            'Api_OrderStoreNewOrderTO' => '\\StructType\\Api_OrderStoreNewOrderTO',
            'storeNewOrderResponse' => '\\StructType\\StoreNewOrderResponse',
            'createCustomer' => '\\StructType\\CreateCustomer',
            'Api_TransportCustomerCreateCustomerTO' => '\\StructType\\Api_TransportCustomerCreateCustomerTO',
            'Api_TransportCustomerTO' => '\\StructType\\Api_TransportCustomerTO',
            'createCustomerResponse' => '\\StructType\\CreateCustomerResponse',
            'deleteCustomer' => '\\StructType\\DeleteCustomer',
            'Api_TransportCustomerDeleteCustomerTO' => '\\StructType\\Api_TransportCustomerDeleteCustomerTO',
            'deleteCustomerResponse' => '\\StructType\\DeleteCustomerResponse',
            'getCustomer' => '\\StructType\\GetCustomer',
            'Api_TransportCustomerGetCustomerTO' => '\\StructType\\Api_TransportCustomerGetCustomerTO',
            'getCustomerResponse' => '\\StructType\\GetCustomerResponse',
            'getCustomers' => '\\StructType\\GetCustomers',
            'getCustomersResponse' => '\\StructType\\GetCustomersResponse',
            'Api_TransportCustomerArrayTO' => '\\ArrayType\\Api_TransportCustomerArrayTO',
            'getDeletedCustomers' => '\\StructType\\GetDeletedCustomers',
            'getDeletedCustomersResponse' => '\\StructType\\GetDeletedCustomersResponse',
            'Api_TransportCustomerIdArrayTO' => '\\ArrayType\\Api_TransportCustomerIdArrayTO',
            'getModifiedCustomers' => '\\StructType\\GetModifiedCustomers',
            'getModifiedCustomersResponse' => '\\StructType\\GetModifiedCustomersResponse',
            'modifyCustomer' => '\\StructType\\ModifyCustomer',
            'Api_TransportCustomerModifyCustomerTO' => '\\StructType\\Api_TransportCustomerModifyCustomerTO',
            'modifyCustomerResponse' => '\\StructType\\ModifyCustomerResponse',
            'checkNotificationFlags' => '\\StructType\\CheckNotificationFlags',
            'checkNotificationFlagsResponse' => '\\StructType\\CheckNotificationFlagsResponse',
            'Api_NotificationTO' => '\\StructType\\Api_NotificationTO',
            'checkNotificationFlags2' => '\\StructType\\CheckNotificationFlags2',
            'checkNotificationFlags2Response' => '\\StructType\\CheckNotificationFlags2Response',
            'Api_NotificationTO2' => '\\StructType\\Api_NotificationTO2',
            'checkNotificationFlags3' => '\\StructType\\CheckNotificationFlags3',
            'checkNotificationFlags3Response' => '\\StructType\\CheckNotificationFlags3Response',
            'Api_NotificationTO3' => '\\StructType\\Api_NotificationTO3',
            'deleteMessage' => '\\StructType\\DeleteMessage',
            'Api_MessageDeleteMessageTO' => '\\StructType\\Api_MessageDeleteMessageTO',
            'Api_MessageId' => '\\StructType\\Api_MessageId',
            'Api_VehicleEventId' => '\\StructType\\Api_VehicleEventId',
            'deleteMessageResponse' => '\\StructType\\DeleteMessageResponse',
            'deleteMessagesByTimestamp' => '\\StructType\\DeleteMessagesByTimestamp',
            'Api_MessageDeleteMessagesByTimestampTO' => '\\StructType\\Api_MessageDeleteMessagesByTimestampTO',
            'deleteMessagesByTimestampResponse' => '\\StructType\\DeleteMessagesByTimestampResponse',
            'deleteReadMessages' => '\\StructType\\DeleteReadMessages',
            'deleteReadMessagesResponse' => '\\StructType\\DeleteReadMessagesResponse',
            'getAlarms' => '\\StructType\\GetAlarms',
            'Api_AlarmGetAlarmsTO' => '\\StructType\\Api_AlarmGetAlarmsTO',
            'getAlarmsResponse' => '\\StructType\\GetAlarmsResponse',
            'Api_AlarmArrayTO' => '\\ArrayType\\Api_AlarmArrayTO',
            'Api_AlarmTO' => '\\StructType\\Api_AlarmTO',
            'Api_AlarmId' => '\\StructType\\Api_AlarmId',
            'getDeletedAlarms' => '\\StructType\\GetDeletedAlarms',
            'getDeletedAlarmsResponse' => '\\StructType\\GetDeletedAlarmsResponse',
            'Api_AlarmIdArrayTO' => '\\ArrayType\\Api_AlarmIdArrayTO',
            'getDeletedMessages' => '\\StructType\\GetDeletedMessages',
            'getDeletedMessagesResponse' => '\\StructType\\GetDeletedMessagesResponse',
            'Api_MessageIdArrayTO' => '\\ArrayType\\Api_MessageIdArrayTO',
            'getMessageReadAckInfos' => '\\StructType\\GetMessageReadAckInfos',
            'Api_MessageGetReadAckInfosTO' => '\\StructType\\Api_MessageGetReadAckInfosTO',
            'getMessageReadAckInfosResponse' => '\\StructType\\GetMessageReadAckInfosResponse',
            'Api_ReadAckInfoArrayTO' => '\\ArrayType\\Api_ReadAckInfoArrayTO',
            'Api_ReadAckInfoTO' => '\\StructType\\Api_ReadAckInfoTO',
            'getMessagesInInbox' => '\\StructType\\GetMessagesInInbox',
            'Api_MessageGetMessagesInInboxTO' => '\\StructType\\Api_MessageGetMessagesInInboxTO',
            'getMessagesInInboxResponse' => '\\StructType\\GetMessagesInInboxResponse',
            'Api_MessageArrayTO' => '\\ArrayType\\Api_MessageArrayTO',
            'Api_MessageTO' => '\\StructType\\Api_MessageTO',
            'getVehicleEventMessages' => '\\StructType\\GetVehicleEventMessages',
            'Api_MessageGetVehicleEventMessagesTO' => '\\StructType\\Api_MessageGetVehicleEventMessagesTO',
            'getVehicleEventMessagesResponse' => '\\StructType\\GetVehicleEventMessagesResponse',
            'Api_VehicleEventMessageArrayTO' => '\\ArrayType\\Api_VehicleEventMessageArrayTO',
            'Api_VehicleEventMessageTO' => '\\StructType\\Api_VehicleEventMessageTO',
            'getNewAlarms' => '\\StructType\\GetNewAlarms',
            'getNewAlarmsResponse' => '\\StructType\\GetNewAlarmsResponse',
            'getNewMessages' => '\\StructType\\GetNewMessages',
            'getNewMessagesResponse' => '\\StructType\\GetNewMessagesResponse',
            'getNewVehicleEventMessages' => '\\StructType\\GetNewVehicleEventMessages',
            'getNewVehicleEventMessagesResponse' => '\\StructType\\GetNewVehicleEventMessagesResponse',
            'getNewMessagesSendstatus' => '\\StructType\\GetNewMessagesSendstatus',
            'getNewMessagesSendstatusResponse' => '\\StructType\\GetNewMessagesSendstatusResponse',
            'Api_SendstatusArrayTO' => '\\ArrayType\\Api_SendstatusArrayTO',
            'Api_SendstatusTO' => '\\StructType\\Api_SendstatusTO',
            'sendMessageToUser' => '\\StructType\\SendMessageToUser',
            'Api_MessageSendMessageToUserTO' => '\\StructType\\Api_MessageSendMessageToUserTO',
            'sendMessageToUserResponse' => '\\StructType\\SendMessageToUserResponse',
            'sendMessageToVehicle' => '\\StructType\\SendMessageToVehicle',
            'Api_MessageSendMessageToVehicleTO' => '\\StructType\\Api_MessageSendMessageToVehicleTO',
            'sendMessageToVehicleResponse' => '\\StructType\\SendMessageToVehicleResponse',
            'sendMessageWithDestinationPointToVehicle' => '\\StructType\\SendMessageWithDestinationPointToVehicle',
            'Api_MessageSendMessageWithDestinationPointToVehicleTO' => '\\StructType\\Api_MessageSendMessageWithDestinationPointToVehicleTO',
            'Api_PointTO' => '\\StructType\\Api_PointTO',
            'sendMessageWithDestinationPointToVehicleResponse' => '\\StructType\\SendMessageWithDestinationPointToVehicleResponse',
            'setAutoDeleteMessage' => '\\StructType\\SetAutoDeleteMessage',
            'Api_MessageSetAutoDeleteMessageTO' => '\\StructType\\Api_MessageSetAutoDeleteMessageTO',
            'setAutoDeleteMessageResponse' => '\\StructType\\SetAutoDeleteMessageResponse',
            'getDriverReportData' => '\\StructType\\GetDriverReportData',
            'Api_ReportGetDriverReportDataTO' => '\\StructType\\Api_ReportGetDriverReportDataTO',
            'getDriverReportDataResponse' => '\\StructType\\GetDriverReportDataResponse',
            'Api_DriverDataTO' => '\\StructType\\Api_DriverDataTO',
            'Api_DriverDataEntryTO' => '\\StructType\\Api_DriverDataEntryTO',
            'getDtjReportData' => '\\StructType\\GetDtjReportData',
            'Api_GetDtjActivitiesTO' => '\\StructType\\Api_GetDtjActivitiesTO',
            'getDtjReportDataResponse' => '\\StructType\\GetDtjReportDataResponse',
            'Api_DtjDataTO' => '\\StructType\\Api_DtjDataTO',
            'Api_DtjDataEntryTO' => '\\StructType\\Api_DtjDataEntryTO',
            'getNewDriverReportData' => '\\StructType\\GetNewDriverReportData',
            'getNewDriverReportDataResponse' => '\\StructType\\GetNewDriverReportDataResponse',
            'Api_DriverDataArrayTO' => '\\ArrayType\\Api_DriverDataArrayTO',
            'getNewDtjReportData' => '\\StructType\\GetNewDtjReportData',
            'getNewDtjReportDataResponse' => '\\StructType\\GetNewDtjReportDataResponse',
            'Api_DtjDataArrayTO' => '\\ArrayType\\Api_DtjDataArrayTO',
            'getNewVehicleReportData' => '\\StructType\\GetNewVehicleReportData',
            'getNewVehicleReportDataResponse' => '\\StructType\\GetNewVehicleReportDataResponse',
            'Api_VehicleDataArrayTO' => '\\ArrayType\\Api_VehicleDataArrayTO',
            'Api_VehicleDataTO' => '\\StructType\\Api_VehicleDataTO',
            'Api_VehicleDataEntryTO' => '\\StructType\\Api_VehicleDataEntryTO',
            'getNewVehicleReportDataExtended' => '\\StructType\\GetNewVehicleReportDataExtended',
            'getNewVehicleReportDataExtendedResponse' => '\\StructType\\GetNewVehicleReportDataExtendedResponse',
            'Api_VehicleDataExtendedArrayTO' => '\\ArrayType\\Api_VehicleDataExtendedArrayTO',
            'Api_VehicleDataExtendedTO' => '\\StructType\\Api_VehicleDataExtendedTO',
            'Api_VehicleDataEntryExtendedTO' => '\\StructType\\Api_VehicleDataEntryExtendedTO',
            'getVehicleReportData' => '\\StructType\\GetVehicleReportData',
            'Api_ReportGetVehicleReportDataTO' => '\\StructType\\Api_ReportGetVehicleReportDataTO',
            'getVehicleReportDataResponse' => '\\StructType\\GetVehicleReportDataResponse',
            'getVehicleReportDataExtended' => '\\StructType\\GetVehicleReportDataExtended',
            'getVehicleReportDataExtendedResponse' => '\\StructType\\GetVehicleReportDataExtendedResponse',
            'makeManualDownload' => '\\StructType\\MakeManualDownload',
            'Api_ReportMakeManualDownloadTO' => '\\StructType\\Api_ReportMakeManualDownloadTO',
            'makeManualDownloadResponse' => '\\StructType\\MakeManualDownloadResponse',
            'createPoi' => '\\StructType\\CreatePoi',
            'Api_PoiCreatePoiTO' => '\\StructType\\Api_PoiCreatePoiTO',
            'Api_PoiTO' => '\\StructType\\Api_PoiTO',
            'createPoiResponse' => '\\StructType\\CreatePoiResponse',
            'deletePoi' => '\\StructType\\DeletePoi',
            'Api_PoiDeletePoiTO' => '\\StructType\\Api_PoiDeletePoiTO',
            'deletePoiResponse' => '\\StructType\\DeletePoiResponse',
            'getDeletedPois' => '\\StructType\\GetDeletedPois',
            'getDeletedPoisResponse' => '\\StructType\\GetDeletedPoisResponse',
            'Api_PoiIdArrayTO' => '\\ArrayType\\Api_PoiIdArrayTO',
            'getModifiedPois' => '\\StructType\\GetModifiedPois',
            'getModifiedPoisResponse' => '\\StructType\\GetModifiedPoisResponse',
            'Api_PoiArrayTO' => '\\ArrayType\\Api_PoiArrayTO',
            'getPoi' => '\\StructType\\GetPoi',
            'Api_PoiGetPoiTO' => '\\StructType\\Api_PoiGetPoiTO',
            'getPoiResponse' => '\\StructType\\GetPoiResponse',
            'getPois' => '\\StructType\\GetPois',
            'getPoisResponse' => '\\StructType\\GetPoisResponse',
            'getPoisByBoundingBox' => '\\StructType\\GetPoisByBoundingBox',
            'Api_PoiGetPoisByBoundingBoxTO' => '\\StructType\\Api_PoiGetPoisByBoundingBoxTO',
            'getPoisByBoundingBoxResponse' => '\\StructType\\GetPoisByBoundingBoxResponse',
            'getPoisByType' => '\\StructType\\GetPoisByType',
            'Api_PoiGetPoisByTypeTO' => '\\StructType\\Api_PoiGetPoisByTypeTO',
            'getPoisByTypeResponse' => '\\StructType\\GetPoisByTypeResponse',
            'getPoisByTypeAndBoundingBox' => '\\StructType\\GetPoisByTypeAndBoundingBox',
            'Api_PoiGetPoisByTypeAndBoundingBoxTO' => '\\StructType\\Api_PoiGetPoisByTypeAndBoundingBoxTO',
            'getPoisByTypeAndBoundingBoxResponse' => '\\StructType\\GetPoisByTypeAndBoundingBoxResponse',
            'modifyPoi' => '\\StructType\\ModifyPoi',
            'Api_PoiModifyPoiTO' => '\\StructType\\Api_PoiModifyPoiTO',
            'modifyPoiResponse' => '\\StructType\\ModifyPoiResponse',
            'getDeletedDrivers' => '\\StructType\\GetDeletedDrivers',
            'getDeletedDriversResponse' => '\\StructType\\GetDeletedDriversResponse',
            'Api_DriverInfoArrayTO' => '\\ArrayType\\Api_DriverInfoArrayTO',
            'Api_DriverInfoV2ArrayTO' => '\\ArrayType\\Api_DriverInfoV2ArrayTO',
            'Api_DriverInfoTO' => '\\StructType\\Api_DriverInfoTO',
            'Api_DriverInfoV2TO' => '\\StructType\\Api_DriverInfoV2TO',
            'getDeletedUsers' => '\\StructType\\GetDeletedUsers',
            'getDeletedUsersResponse' => '\\StructType\\GetDeletedUsersResponse',
            'Api_UserInfoArrayTO' => '\\ArrayType\\Api_UserInfoArrayTO',
            'Api_UserInfoTO' => '\\StructType\\Api_UserInfoTO',
            'getDeletedVehicles' => '\\StructType\\GetDeletedVehicles',
            'getDeletedVehiclesResponse' => '\\StructType\\GetDeletedVehiclesResponse',
            'Api_VehicleInfoArrayTO' => '\\ArrayType\\Api_VehicleInfoArrayTO',
            'Api_VehicleInfoTO' => '\\StructType\\Api_VehicleInfoTO',
            'Api_VehicleInfoV2ArrayTO' => '\\ArrayType\\Api_VehicleInfoV2ArrayTO',
            'Api_VehicleInfoV2TO' => '\\StructType\\Api_VehicleInfoV2TO',
            'getDriver' => '\\StructType\\GetDriver',
            'Api_VADAdminGetDriverTO' => '\\StructType\\Api_VADAdminGetDriverTO',
            'getDriverResponse' => '\\StructType\\GetDriverResponse',
            'Api_DriverTO' => '\\StructType\\Api_DriverTO',
            'getDriverV2' => '\\StructType\\GetDriverV2',
            'Api_VADAdminGetDriverV2TO' => '\\StructType\\Api_VADAdminGetDriverV2TO',
            'getDriverV2Response' => '\\StructType\\GetDriverV2Response',
            'Api_DriverV2TO' => '\\StructType\\Api_DriverV2TO',
            'getDrivers' => '\\StructType\\GetDrivers',
            'getDriversResponse' => '\\StructType\\GetDriversResponse',
            'getDriversV2' => '\\StructType\\GetDriversV2',
            'getDriversV2Response' => '\\StructType\\GetDriversV2Response',
            'getFleetInfo' => '\\StructType\\GetFleetInfo',
            'getFleetInfoResponse' => '\\StructType\\GetFleetInfoResponse',
            'Api_FleetInfoTO' => '\\StructType\\Api_FleetInfoTO',
            'getModifiedDrivers' => '\\StructType\\GetModifiedDrivers',
            'getModifiedDriversResponse' => '\\StructType\\GetModifiedDriversResponse',
            'Api_DriverArrayTO' => '\\ArrayType\\Api_DriverArrayTO',
            'getModifiedUsers' => '\\StructType\\GetModifiedUsers',
            'getModifiedUsersResponse' => '\\StructType\\GetModifiedUsersResponse',
            'Api_UserArrayTO' => '\\ArrayType\\Api_UserArrayTO',
            'Api_UserTO' => '\\StructType\\Api_UserTO',
            'getModifiedVehicles' => '\\StructType\\GetModifiedVehicles',
            'getModifiedVehiclesResponse' => '\\StructType\\GetModifiedVehiclesResponse',
            'Api_VehicleArrayTO' => '\\ArrayType\\Api_VehicleArrayTO',
            'Api_VehicleTO' => '\\StructType\\Api_VehicleTO',
            'getUsers' => '\\StructType\\GetUsers',
            'getUsersResponse' => '\\StructType\\GetUsersResponse',
            'getUsersAssignedToVehicle' => '\\StructType\\GetUsersAssignedToVehicle',
            'Api_VADAdminGetUsersAssignedToVehicleTO' => '\\StructType\\Api_VADAdminGetUsersAssignedToVehicleTO',
            'getUsersAssignedToVehicleResponse' => '\\StructType\\GetUsersAssignedToVehicleResponse',
            'Api_UserIdArrayTO' => '\\ArrayType\\Api_UserIdArrayTO',
            'getVehicle' => '\\StructType\\GetVehicle',
            'Api_VADAdminGetVehicleTO' => '\\StructType\\Api_VADAdminGetVehicleTO',
            'getVehicleResponse' => '\\StructType\\GetVehicleResponse',
            'getVehicles' => '\\StructType\\GetVehicles',
            'getVehiclesResponse' => '\\StructType\\GetVehiclesResponse',
            'getVehiclesV2' => '\\StructType\\GetVehiclesV2',
            'getVehiclesV2Response' => '\\StructType\\GetVehiclesV2Response',
            'getForm' => '\\StructType\\GetForm',
            'Api_FormGetFormTO' => '\\StructType\\Api_FormGetFormTO',
            'Api_FormId' => '\\StructType\\Api_FormId',
            'getFormResponse' => '\\StructType\\GetFormResponse',
            'Api_FormTO' => '\\StructType\\Api_FormTO',
            'Api_FormFieldArrayTO' => '\\ArrayType\\Api_FormFieldArrayTO',
            'Api_FormFieldTO' => '\\StructType\\Api_FormFieldTO',
            'getForms' => '\\StructType\\GetForms',
            'getFormsResponse' => '\\StructType\\GetFormsResponse',
            'Api_FormArrayTO' => '\\ArrayType\\Api_FormArrayTO',
            'getFormsInVehicle' => '\\StructType\\GetFormsInVehicle',
            'Api_FormGetFormsInVehicleTO' => '\\StructType\\Api_FormGetFormsInVehicleTO',
            'getFormsInVehicleResponse' => '\\StructType\\GetFormsInVehicleResponse',
            'getNewPositions' => '\\StructType\\GetNewPositions',
            'getNewPositionsResponse' => '\\StructType\\GetNewPositionsResponse',
            'Api_PositionPlusArrayTO' => '\\ArrayType\\Api_PositionPlusArrayTO',
            'Api_PositionPlusTO' => '\\StructType\\Api_PositionPlusTO',
            'getNewTrackingData' => '\\StructType\\GetNewTrackingData',
            'getNewTrackingDataResponse' => '\\StructType\\GetNewTrackingDataResponse',
            'Api_TrackingDataArrayTO' => '\\ArrayType\\Api_TrackingDataArrayTO',
            'getNewTrackingDataV2' => '\\StructType\\GetNewTrackingDataV2',
            'getNewTrackingDataV2Response' => '\\StructType\\GetNewTrackingDataV2Response',
            'Api_TrackingDataV2ArrayTO' => '\\ArrayType\\Api_TrackingDataV2ArrayTO',
            'Api_TrackingDataV2TO' => '\\StructType\\Api_TrackingDataV2TO',
            'getNewTrackingDataWithETAInfo' => '\\StructType\\GetNewTrackingDataWithETAInfo',
            'getNewTrackingDataWithETAInfoResponse' => '\\StructType\\GetNewTrackingDataWithETAInfoResponse',
            'Api_TrackingDataWithETAInfoArrayTO' => '\\ArrayType\\Api_TrackingDataWithETAInfoArrayTO',
            'Api_TrackingDataWithETAInfoTO' => '\\StructType\\Api_TrackingDataWithETAInfoTO',
            'getVehiclePositions' => '\\StructType\\GetVehiclePositions',
            'Api_TrackingGetVehiclePositionTO' => '\\StructType\\Api_TrackingGetVehiclePositionTO',
            'getVehiclePositionsResponse' => '\\StructType\\GetVehiclePositionsResponse',
            'Api_PositionArrayTO' => '\\ArrayType\\Api_PositionArrayTO',
            'getLastKnownPositions' => '\\StructType\\GetLastKnownPositions',
            'getLastKnownPositionsResponse' => '\\StructType\\GetLastKnownPositionsResponse',
            'Api_LastKnownPositionArrayTO' => '\\ArrayType\\Api_LastKnownPositionArrayTO',
            'Api_LastKnownPositionTO' => '\\StructType\\Api_LastKnownPositionTO',
            'requestVehiclePosition' => '\\StructType\\RequestVehiclePosition',
            'Api_TrackingRequestVehiclePositionTO' => '\\StructType\\Api_TrackingRequestVehiclePositionTO',
            'requestVehiclePositionResponse' => '\\StructType\\RequestVehiclePositionResponse',
            'getDTMAlarmSetting' => '\\StructType\\GetDTMAlarmSetting',
            'Api_DTMGetDTMAlarmSettingTO' => '\\StructType\\Api_DTMGetDTMAlarmSettingTO',
            'getDTMAlarmSettingResponse' => '\\StructType\\GetDTMAlarmSettingResponse',
            'Api_DTMAlarmSettingTO' => '\\StructType\\Api_DTMAlarmSettingTO',
            'getDTMAlarmsForVehicle' => '\\StructType\\GetDTMAlarmsForVehicle',
            'Api_DTMGetDTMAlarmsForVehicleTO' => '\\StructType\\Api_DTMGetDTMAlarmsForVehicleTO',
            'getDTMAlarmsForVehicleResponse' => '\\StructType\\GetDTMAlarmsForVehicleResponse',
            'Api_DTMAlarmArrayTO' => '\\ArrayType\\Api_DTMAlarmArrayTO',
            'Api_DTMAlarmTO' => '\\StructType\\Api_DTMAlarmTO',
            'getDeletedDTMAlarms' => '\\StructType\\GetDeletedDTMAlarms',
            'getDeletedDTMAlarmsResponse' => '\\StructType\\GetDeletedDTMAlarmsResponse',
            'getNewDTMAlarmSetupSendStatuses' => '\\StructType\\GetNewDTMAlarmSetupSendStatuses',
            'getNewDTMAlarmSetupSendStatusesResponse' => '\\StructType\\GetNewDTMAlarmSetupSendStatusesResponse',
            'Api_DTMAlarmSetupSendstatusArrayTO' => '\\ArrayType\\Api_DTMAlarmSetupSendstatusArrayTO',
            'Api_DTMAlarmSetupSendstatusTO' => '\\StructType\\Api_DTMAlarmSetupSendstatusTO',
            'getNewDTMAlarms' => '\\StructType\\GetNewDTMAlarms',
            'getNewDTMAlarmsResponse' => '\\StructType\\GetNewDTMAlarmsResponse',
            'storeDTMAlarmSetting' => '\\StructType\\StoreDTMAlarmSetting',
            'Api_DTMStoreDTMAlarmSettingTO' => '\\StructType\\Api_DTMStoreDTMAlarmSettingTO',
            'storeDTMAlarmSettingResponse' => '\\StructType\\StoreDTMAlarmSettingResponse',
            'deleteFormMessage' => '\\StructType\\DeleteFormMessage',
            'Api_FormMessageDeleteFormMessageTO' => '\\StructType\\Api_FormMessageDeleteFormMessageTO',
            'Api_FormMessageId' => '\\StructType\\Api_FormMessageId',
            'deleteFormMessageResponse' => '\\StructType\\DeleteFormMessageResponse',
            'deleteFormMessages' => '\\StructType\\DeleteFormMessages',
            'Api_FormMessageDeleteFormMessagesTO' => '\\StructType\\Api_FormMessageDeleteFormMessagesTO',
            'deleteFormMessagesResponse' => '\\StructType\\DeleteFormMessagesResponse',
            'getDeletedFormMessages' => '\\StructType\\GetDeletedFormMessages',
            'getDeletedFormMessagesResponse' => '\\StructType\\GetDeletedFormMessagesResponse',
            'Api_FormMessageIdArrayTO' => '\\ArrayType\\Api_FormMessageIdArrayTO',
            'getFormMessageReadAckInfos' => '\\StructType\\GetFormMessageReadAckInfos',
            'Api_FormMessageGetReadAckInfosTO' => '\\StructType\\Api_FormMessageGetReadAckInfosTO',
            'getFormMessageReadAckInfosResponse' => '\\StructType\\GetFormMessageReadAckInfosResponse',
            'getFormMessagesByForm' => '\\StructType\\GetFormMessagesByForm',
            'Api_FormMessageGetFormMessagesByFormTO' => '\\StructType\\Api_FormMessageGetFormMessagesByFormTO',
            'getFormMessagesByFormResponse' => '\\StructType\\GetFormMessagesByFormResponse',
            'Api_FormMessageArrayTO' => '\\ArrayType\\Api_FormMessageArrayTO',
            'Api_FormMessageTO' => '\\StructType\\Api_FormMessageTO',
            'Api_FormMessageFieldTO' => '\\StructType\\Api_FormMessageFieldTO',
            'getFormMessagesInInbox' => '\\StructType\\GetFormMessagesInInbox',
            'Api_FormMessageGetFormMessagesInInboxTO' => '\\StructType\\Api_FormMessageGetFormMessagesInInboxTO',
            'getFormMessagesInInboxResponse' => '\\StructType\\GetFormMessagesInInboxResponse',
            'getNewFormMessageSendstatus' => '\\StructType\\GetNewFormMessageSendstatus',
            'getNewFormMessageSendstatusResponse' => '\\StructType\\GetNewFormMessageSendstatusResponse',
            'getNewFormMessages' => '\\StructType\\GetNewFormMessages',
            'getNewFormMessagesResponse' => '\\StructType\\GetNewFormMessagesResponse',
            'sendFormMessageToVehicle' => '\\StructType\\SendFormMessageToVehicle',
            'Api_FormMessageSendFormMessageToVehicleTO' => '\\StructType\\Api_FormMessageSendFormMessageToVehicleTO',
            'sendFormMessageToVehicleResponse' => '\\StructType\\SendFormMessageToVehicleResponse',
            'sendFormMessageWithDestinationPointToVehicle' => '\\StructType\\SendFormMessageWithDestinationPointToVehicle',
            'Api_FormMessageSendFormMessageWithDestinationPointToVehicleTO' => '\\StructType\\Api_FormMessageSendFormMessageWithDestinationPointToVehicleTO',
            'Api_FormMessageWithDestinationPointTO' => '\\StructType\\Api_FormMessageWithDestinationPointTO',
            'sendFormMessageWithDestinationPointToVehicleResponse' => '\\StructType\\SendFormMessageWithDestinationPointToVehicleResponse',
            'createGeofencePlus' => '\\StructType\\CreateGeofencePlus',
            'Api_GeofencePlusCreateModifyTO' => '\\StructType\\Api_GeofencePlusCreateModifyTO',
            'Api_GeofencePlusDetailsTO' => '\\StructType\\Api_GeofencePlusDetailsTO',
            'Api_GeofenceActiveInformationTO' => '\\StructType\\Api_GeofenceActiveInformationTO',
            'Api_GeofenceBorderTO' => '\\StructType\\Api_GeofenceBorderTO',
            'Api_GeofenceCircleTO' => '\\StructType\\Api_GeofenceCircleTO',
            'Api_GeofenceId' => '\\StructType\\Api_GeofenceId',
            'Api_GeofencePoiTO' => '\\StructType\\Api_GeofencePoiTO',
            'Api_GeofencePolygonTO' => '\\StructType\\Api_GeofencePolygonTO',
            'Api_GeofenceRectangleTO' => '\\StructType\\Api_GeofenceRectangleTO',
            'Api_GeofenceRouteTO' => '\\StructType\\Api_GeofenceRouteTO',
            'getGeofenceData' => '\\StructType\\GetGeofenceData',
            'Api_GeofenceGetGeofenceDataTO' => '\\StructType\\Api_GeofenceGetGeofenceDataTO',
            'getGeofenceDataResponse' => '\\StructType\\GetGeofenceDataResponse',
            'getNewGeofenceData' => '\\StructType\\GetNewGeofenceData',
            'getNewGeofenceDataResponse' => '\\StructType\\GetNewGeofenceDataResponse',
            'Api_GeofenceNotificationArrayTO' => '\\ArrayType\\Api_GeofenceNotificationArrayTO',
            'Api_GeofenceNotificationTO' => '\\StructType\\Api_GeofenceNotificationTO',
            'createGeofencePlusResponse' => '\\StructType\\CreateGeofencePlusResponse',
            'getDeletedGeofencePlus' => '\\StructType\\GetDeletedGeofencePlus',
            'getDeletedGeofencePlusResponse' => '\\StructType\\GetDeletedGeofencePlusResponse',
            'Api_GeofencePlusDetailsArrayTO' => '\\ArrayType\\Api_GeofencePlusDetailsArrayTO',
            'getGeofencePlus' => '\\StructType\\GetGeofencePlus',
            'Api_GeofenceGetGeofenceTO' => '\\StructType\\Api_GeofenceGetGeofenceTO',
            'getGeofencePlusResponse' => '\\StructType\\GetGeofencePlusResponse',
            'getGeofences' => '\\StructType\\GetGeofences',
            'getGeofencesResponse' => '\\StructType\\GetGeofencesResponse',
            'Api_GeofenceArrayTO' => '\\ArrayType\\Api_GeofenceArrayTO',
            'Api_GeofenceTO' => '\\StructType\\Api_GeofenceTO',
            'getModifiedGeofencePlus' => '\\StructType\\GetModifiedGeofencePlus',
            'getModifiedGeofencePlusResponse' => '\\StructType\\GetModifiedGeofencePlusResponse',
            'getNewGeofencePlusData' => '\\StructType\\GetNewGeofencePlusData',
            'getNewGeofencePlusDataResponse' => '\\StructType\\GetNewGeofencePlusDataResponse',
            'Api_GeofencePlusNotificationArrayTO' => '\\ArrayType\\Api_GeofencePlusNotificationArrayTO',
            'Api_GeofencePlusNotificationTO' => '\\StructType\\Api_GeofencePlusNotificationTO',
            'modifyGeofencePlus' => '\\StructType\\ModifyGeofencePlus',
            'modifyGeofencePlusResponse' => '\\StructType\\ModifyGeofencePlusResponse',
            'getDriverTimes' => '\\StructType\\GetDriverTimes',
            'ApiVADAdminGetDriverTimesTO' => '\\StructType\\ApiVADAdminGetDriverTimesTO',
            'getDriverTimesResponse' => '\\StructType\\GetDriverTimesResponse',
            'Api_DriverTimesArrayTO' => '\\ArrayType\\Api_DriverTimesArrayTO',
            'Api_DriverTimesTO' => '\\StructType\\Api_DriverTimesTO',
        );
    }
}
