<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_AlarmTO StructType
 * @subpackage Structs
 */
class Api_AlarmTO extends AbstractStructBase
{
    /**
     * The alarmId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_AlarmId
     */
    public $alarmId;
    /**
     * The alarmStatus
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $alarmStatus;
    /**
     * The alarmType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $alarmType;
    /**
     * The driverLanguageCode
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $driverLanguageCode;
    /**
     * The driverName
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $driverName;
    /**
     * The driverPhoneNumber
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $driverPhoneNumber;
    /**
     * The messageData
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $messageData;
    /**
     * The position
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_PositionTO
     */
    public $position;
    /**
     * The sendStatus
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $sendStatus;
    /**
     * The sendStatusChangedTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $sendStatusChangedTime;
    /**
     * The sender
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $sender;
    /**
     * The timestamp
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $timestamp;
    /**
     * Constructor method for Api_AlarmTO
     * @uses Api_AlarmTO::setAlarmId()
     * @uses Api_AlarmTO::setAlarmStatus()
     * @uses Api_AlarmTO::setAlarmType()
     * @uses Api_AlarmTO::setDriverLanguageCode()
     * @uses Api_AlarmTO::setDriverName()
     * @uses Api_AlarmTO::setDriverPhoneNumber()
     * @uses Api_AlarmTO::setMessageData()
     * @uses Api_AlarmTO::setPosition()
     * @uses Api_AlarmTO::setSendStatus()
     * @uses Api_AlarmTO::setSendStatusChangedTime()
     * @uses Api_AlarmTO::setSender()
     * @uses Api_AlarmTO::setTimestamp()
     * @param \StructType\Api_AlarmId $alarmId
     * @param string $alarmStatus
     * @param string $alarmType
     * @param string $driverLanguageCode
     * @param string $driverName
     * @param string $driverPhoneNumber
     * @param string $messageData
     * @param \StructType\Api_PositionTO $position
     * @param string $sendStatus
     * @param \StructType\Api_Date $sendStatusChangedTime
     * @param \StructType\Api_VehicleId $sender
     * @param \StructType\Api_Date $timestamp
     */
    public function __construct(\StructType\Api_AlarmId $alarmId = null, $alarmStatus = null, $alarmType = null, $driverLanguageCode = null, $driverName = null, $driverPhoneNumber = null, $messageData = null, \StructType\Api_PositionTO $position = null, $sendStatus = null, \StructType\Api_Date $sendStatusChangedTime = null, \StructType\Api_VehicleId $sender = null, \StructType\Api_Date $timestamp = null)
    {
        $this
            ->setAlarmId($alarmId)
            ->setAlarmStatus($alarmStatus)
            ->setAlarmType($alarmType)
            ->setDriverLanguageCode($driverLanguageCode)
            ->setDriverName($driverName)
            ->setDriverPhoneNumber($driverPhoneNumber)
            ->setMessageData($messageData)
            ->setPosition($position)
            ->setSendStatus($sendStatus)
            ->setSendStatusChangedTime($sendStatusChangedTime)
            ->setSender($sender)
            ->setTimestamp($timestamp);
    }
    /**
     * Get alarmId value
     * @return \StructType\Api_AlarmId|null
     */
    public function getAlarmId()
    {
        return $this->alarmId;
    }
    /**
     * Set alarmId value
     * @param \StructType\Api_AlarmId $alarmId
     * @return \StructType\Api_AlarmTO
     */
    public function setAlarmId(\StructType\Api_AlarmId $alarmId = null)
    {
        $this->alarmId = $alarmId;
        return $this;
    }
    /**
     * Get alarmStatus value
     * @return string|null
     */
    public function getAlarmStatus()
    {
        return $this->alarmStatus;
    }
    /**
     * Set alarmStatus value
     * @param string $alarmStatus
     * @return \StructType\Api_AlarmTO
     */
    public function setAlarmStatus($alarmStatus = null)
    {
        // validation for constraint: string
        if (!is_null($alarmStatus) && !is_string($alarmStatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($alarmStatus)), __LINE__);
        }
        $this->alarmStatus = $alarmStatus;
        return $this;
    }
    /**
     * Get alarmType value
     * @return string|null
     */
    public function getAlarmType()
    {
        return $this->alarmType;
    }
    /**
     * Set alarmType value
     * @param string $alarmType
     * @return \StructType\Api_AlarmTO
     */
    public function setAlarmType($alarmType = null)
    {
        // validation for constraint: string
        if (!is_null($alarmType) && !is_string($alarmType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($alarmType)), __LINE__);
        }
        $this->alarmType = $alarmType;
        return $this;
    }
    /**
     * Get driverLanguageCode value
     * @return string|null
     */
    public function getDriverLanguageCode()
    {
        return $this->driverLanguageCode;
    }
    /**
     * Set driverLanguageCode value
     * @param string $driverLanguageCode
     * @return \StructType\Api_AlarmTO
     */
    public function setDriverLanguageCode($driverLanguageCode = null)
    {
        // validation for constraint: string
        if (!is_null($driverLanguageCode) && !is_string($driverLanguageCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($driverLanguageCode)), __LINE__);
        }
        $this->driverLanguageCode = $driverLanguageCode;
        return $this;
    }
    /**
     * Get driverName value
     * @return string|null
     */
    public function getDriverName()
    {
        return $this->driverName;
    }
    /**
     * Set driverName value
     * @param string $driverName
     * @return \StructType\Api_AlarmTO
     */
    public function setDriverName($driverName = null)
    {
        // validation for constraint: string
        if (!is_null($driverName) && !is_string($driverName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($driverName)), __LINE__);
        }
        $this->driverName = $driverName;
        return $this;
    }
    /**
     * Get driverPhoneNumber value
     * @return string|null
     */
    public function getDriverPhoneNumber()
    {
        return $this->driverPhoneNumber;
    }
    /**
     * Set driverPhoneNumber value
     * @param string $driverPhoneNumber
     * @return \StructType\Api_AlarmTO
     */
    public function setDriverPhoneNumber($driverPhoneNumber = null)
    {
        // validation for constraint: string
        if (!is_null($driverPhoneNumber) && !is_string($driverPhoneNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($driverPhoneNumber)), __LINE__);
        }
        $this->driverPhoneNumber = $driverPhoneNumber;
        return $this;
    }
    /**
     * Get messageData value
     * @return string|null
     */
    public function getMessageData()
    {
        return $this->messageData;
    }
    /**
     * Set messageData value
     * @param string $messageData
     * @return \StructType\Api_AlarmTO
     */
    public function setMessageData($messageData = null)
    {
        // validation for constraint: string
        if (!is_null($messageData) && !is_string($messageData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($messageData)), __LINE__);
        }
        $this->messageData = $messageData;
        return $this;
    }
    /**
     * Get position value
     * @return \StructType\Api_PositionTO|null
     */
    public function getPosition()
    {
        return $this->position;
    }
    /**
     * Set position value
     * @param \StructType\Api_PositionTO $position
     * @return \StructType\Api_AlarmTO
     */
    public function setPosition(\StructType\Api_PositionTO $position = null)
    {
        $this->position = $position;
        return $this;
    }
    /**
     * Get sendStatus value
     * @return string|null
     */
    public function getSendStatus()
    {
        return $this->sendStatus;
    }
    /**
     * Set sendStatus value
     * @param string $sendStatus
     * @return \StructType\Api_AlarmTO
     */
    public function setSendStatus($sendStatus = null)
    {
        // validation for constraint: string
        if (!is_null($sendStatus) && !is_string($sendStatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sendStatus)), __LINE__);
        }
        $this->sendStatus = $sendStatus;
        return $this;
    }
    /**
     * Get sendStatusChangedTime value
     * @return \StructType\Api_Date|null
     */
    public function getSendStatusChangedTime()
    {
        return $this->sendStatusChangedTime;
    }
    /**
     * Set sendStatusChangedTime value
     * @param \StructType\Api_Date $sendStatusChangedTime
     * @return \StructType\Api_AlarmTO
     */
    public function setSendStatusChangedTime(\StructType\Api_Date $sendStatusChangedTime = null)
    {
        $this->sendStatusChangedTime = $sendStatusChangedTime;
        return $this;
    }
    /**
     * Get sender value
     * @return \StructType\Api_VehicleId|null
     */
    public function getSender()
    {
        return $this->sender;
    }
    /**
     * Set sender value
     * @param \StructType\Api_VehicleId $sender
     * @return \StructType\Api_AlarmTO
     */
    public function setSender(\StructType\Api_VehicleId $sender = null)
    {
        $this->sender = $sender;
        return $this;
    }
    /**
     * Get timestamp value
     * @return \StructType\Api_Date|null
     */
    public function getTimestamp()
    {
        return $this->timestamp;
    }
    /**
     * Set timestamp value
     * @param \StructType\Api_Date $timestamp
     * @return \StructType\Api_AlarmTO
     */
    public function setTimestamp(\StructType\Api_Date $timestamp = null)
    {
        $this->timestamp = $timestamp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_AlarmTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
