<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_DTMAlarmSetupSendstatusTO StructType
 * @subpackage Structs
 */
class Api_DTMAlarmSetupSendstatusTO extends AbstractStructBase
{
    /**
     * The latestSendstatusTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $latestSendstatusTime;
    /**
     * The sendstatus
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $sendstatus;
    /**
     * The vehicleId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $vehicleId;
    /**
     * Constructor method for Api_DTMAlarmSetupSendstatusTO
     * @uses Api_DTMAlarmSetupSendstatusTO::setLatestSendstatusTime()
     * @uses Api_DTMAlarmSetupSendstatusTO::setSendstatus()
     * @uses Api_DTMAlarmSetupSendstatusTO::setVehicleId()
     * @param \StructType\Api_Date $latestSendstatusTime
     * @param string $sendstatus
     * @param \StructType\Api_VehicleId $vehicleId
     */
    public function __construct(\StructType\Api_Date $latestSendstatusTime = null, $sendstatus = null, \StructType\Api_VehicleId $vehicleId = null)
    {
        $this
            ->setLatestSendstatusTime($latestSendstatusTime)
            ->setSendstatus($sendstatus)
            ->setVehicleId($vehicleId);
    }
    /**
     * Get latestSendstatusTime value
     * @return \StructType\Api_Date|null
     */
    public function getLatestSendstatusTime()
    {
        return $this->latestSendstatusTime;
    }
    /**
     * Set latestSendstatusTime value
     * @param \StructType\Api_Date $latestSendstatusTime
     * @return \StructType\Api_DTMAlarmSetupSendstatusTO
     */
    public function setLatestSendstatusTime(\StructType\Api_Date $latestSendstatusTime = null)
    {
        $this->latestSendstatusTime = $latestSendstatusTime;
        return $this;
    }
    /**
     * Get sendstatus value
     * @return string|null
     */
    public function getSendstatus()
    {
        return $this->sendstatus;
    }
    /**
     * Set sendstatus value
     * @param string $sendstatus
     * @return \StructType\Api_DTMAlarmSetupSendstatusTO
     */
    public function setSendstatus($sendstatus = null)
    {
        // validation for constraint: string
        if (!is_null($sendstatus) && !is_string($sendstatus)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($sendstatus)), __LINE__);
        }
        $this->sendstatus = $sendstatus;
        return $this;
    }
    /**
     * Get vehicleId value
     * @return \StructType\Api_VehicleId|null
     */
    public function getVehicleId()
    {
        return $this->vehicleId;
    }
    /**
     * Set vehicleId value
     * @param \StructType\Api_VehicleId $vehicleId
     * @return \StructType\Api_DTMAlarmSetupSendstatusTO
     */
    public function setVehicleId(\StructType\Api_VehicleId $vehicleId = null)
    {
        $this->vehicleId = $vehicleId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_DTMAlarmSetupSendstatusTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
