<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_DTMAlarmTO StructType
 * @subpackage Structs
 */
class Api_DTMAlarmTO extends AbstractStructBase
{
    /**
     * The DTMAlarmId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Long
     */
    public $DTMAlarmId;
    /**
     * The DTMAlarmType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $DTMAlarmType;
    /**
     * The driverActivityType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $driverActivityType;
    /**
     * The driverId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_DriverId
     */
    public $driverId;
    /**
     * The estimatedTimeOfRuleBreak
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $estimatedTimeOfRuleBreak;
    /**
     * The isDeleted
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Boolean
     */
    public $isDeleted;
    /**
     * The timestamp
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $timestamp;
    /**
     * The vehicleId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $vehicleId;
    /**
     * Constructor method for Api_DTMAlarmTO
     * @uses Api_DTMAlarmTO::setDTMAlarmId()
     * @uses Api_DTMAlarmTO::setDTMAlarmType()
     * @uses Api_DTMAlarmTO::setDriverActivityType()
     * @uses Api_DTMAlarmTO::setDriverId()
     * @uses Api_DTMAlarmTO::setEstimatedTimeOfRuleBreak()
     * @uses Api_DTMAlarmTO::setIsDeleted()
     * @uses Api_DTMAlarmTO::setTimestamp()
     * @uses Api_DTMAlarmTO::setVehicleId()
     * @param \StructType\Api_Long $dTMAlarmId
     * @param string $dTMAlarmType
     * @param string $driverActivityType
     * @param \StructType\Api_DriverId $driverId
     * @param \StructType\Api_Date $estimatedTimeOfRuleBreak
     * @param \StructType\Api_Boolean $isDeleted
     * @param \StructType\Api_Date $timestamp
     * @param \StructType\Api_VehicleId $vehicleId
     */
    public function __construct(\StructType\Api_Long $dTMAlarmId = null, $dTMAlarmType = null, $driverActivityType = null, \StructType\Api_DriverId $driverId = null, \StructType\Api_Date $estimatedTimeOfRuleBreak = null, \StructType\Api_Boolean $isDeleted = null, \StructType\Api_Date $timestamp = null, \StructType\Api_VehicleId $vehicleId = null)
    {
        $this
            ->setDTMAlarmId($dTMAlarmId)
            ->setDTMAlarmType($dTMAlarmType)
            ->setDriverActivityType($driverActivityType)
            ->setDriverId($driverId)
            ->setEstimatedTimeOfRuleBreak($estimatedTimeOfRuleBreak)
            ->setIsDeleted($isDeleted)
            ->setTimestamp($timestamp)
            ->setVehicleId($vehicleId);
    }
    /**
     * Get DTMAlarmId value
     * @return \StructType\Api_Long|null
     */
    public function getDTMAlarmId()
    {
        return $this->DTMAlarmId;
    }
    /**
     * Set DTMAlarmId value
     * @param \StructType\Api_Long $dTMAlarmId
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setDTMAlarmId(\StructType\Api_Long $dTMAlarmId = null)
    {
        $this->DTMAlarmId = $dTMAlarmId;
        return $this;
    }
    /**
     * Get DTMAlarmType value
     * @return string|null
     */
    public function getDTMAlarmType()
    {
        return $this->DTMAlarmType;
    }
    /**
     * Set DTMAlarmType value
     * @param string $dTMAlarmType
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setDTMAlarmType($dTMAlarmType = null)
    {
        // validation for constraint: string
        if (!is_null($dTMAlarmType) && !is_string($dTMAlarmType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dTMAlarmType)), __LINE__);
        }
        $this->DTMAlarmType = $dTMAlarmType;
        return $this;
    }
    /**
     * Get driverActivityType value
     * @return string|null
     */
    public function getDriverActivityType()
    {
        return $this->driverActivityType;
    }
    /**
     * Set driverActivityType value
     * @param string $driverActivityType
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setDriverActivityType($driverActivityType = null)
    {
        // validation for constraint: string
        if (!is_null($driverActivityType) && !is_string($driverActivityType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($driverActivityType)), __LINE__);
        }
        $this->driverActivityType = $driverActivityType;
        return $this;
    }
    /**
     * Get driverId value
     * @return \StructType\Api_DriverId|null
     */
    public function getDriverId()
    {
        return $this->driverId;
    }
    /**
     * Set driverId value
     * @param \StructType\Api_DriverId $driverId
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setDriverId(\StructType\Api_DriverId $driverId = null)
    {
        $this->driverId = $driverId;
        return $this;
    }
    /**
     * Get estimatedTimeOfRuleBreak value
     * @return \StructType\Api_Date|null
     */
    public function getEstimatedTimeOfRuleBreak()
    {
        return $this->estimatedTimeOfRuleBreak;
    }
    /**
     * Set estimatedTimeOfRuleBreak value
     * @param \StructType\Api_Date $estimatedTimeOfRuleBreak
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setEstimatedTimeOfRuleBreak(\StructType\Api_Date $estimatedTimeOfRuleBreak = null)
    {
        $this->estimatedTimeOfRuleBreak = $estimatedTimeOfRuleBreak;
        return $this;
    }
    /**
     * Get isDeleted value
     * @return \StructType\Api_Boolean|null
     */
    public function getIsDeleted()
    {
        return $this->isDeleted;
    }
    /**
     * Set isDeleted value
     * @param \StructType\Api_Boolean $isDeleted
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setIsDeleted(\StructType\Api_Boolean $isDeleted = null)
    {
        $this->isDeleted = $isDeleted;
        return $this;
    }
    /**
     * Get timestamp value
     * @return \StructType\Api_Date|null
     */
    public function getTimestamp()
    {
        return $this->timestamp;
    }
    /**
     * Set timestamp value
     * @param \StructType\Api_Date $timestamp
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setTimestamp(\StructType\Api_Date $timestamp = null)
    {
        $this->timestamp = $timestamp;
        return $this;
    }
    /**
     * Get vehicleId value
     * @return \StructType\Api_VehicleId|null
     */
    public function getVehicleId()
    {
        return $this->vehicleId;
    }
    /**
     * Set vehicleId value
     * @param \StructType\Api_VehicleId $vehicleId
     * @return \StructType\Api_DTMAlarmTO
     */
    public function setVehicleId(\StructType\Api_VehicleId $vehicleId = null)
    {
        $this->vehicleId = $vehicleId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_DTMAlarmTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
