<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_DriverDataEntryTO StructType
 * @subpackage Structs
 */
class Api_DriverDataEntryTO extends AbstractStructBase
{
    /**
     * The driverActivityType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $driverActivityType;
    /**
     * The endTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $endTime;
    /**
     * The originType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $originType;
    /**
     * The startTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $startTime;
    /**
     * The vehicleId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $vehicleId;
    /**
     * Constructor method for Api_DriverDataEntryTO
     * @uses Api_DriverDataEntryTO::setDriverActivityType()
     * @uses Api_DriverDataEntryTO::setEndTime()
     * @uses Api_DriverDataEntryTO::setOriginType()
     * @uses Api_DriverDataEntryTO::setStartTime()
     * @uses Api_DriverDataEntryTO::setVehicleId()
     * @param string $driverActivityType
     * @param \StructType\Api_Date $endTime
     * @param string $originType
     * @param \StructType\Api_Date $startTime
     * @param \StructType\Api_VehicleId $vehicleId
     */
    public function __construct($driverActivityType = null, \StructType\Api_Date $endTime = null, $originType = null, \StructType\Api_Date $startTime = null, \StructType\Api_VehicleId $vehicleId = null)
    {
        $this
            ->setDriverActivityType($driverActivityType)
            ->setEndTime($endTime)
            ->setOriginType($originType)
            ->setStartTime($startTime)
            ->setVehicleId($vehicleId);
    }
    /**
     * Get driverActivityType value
     * @return string|null
     */
    public function getDriverActivityType()
    {
        return $this->driverActivityType;
    }
    /**
     * Set driverActivityType value
     * @param string $driverActivityType
     * @return \StructType\Api_DriverDataEntryTO
     */
    public function setDriverActivityType($driverActivityType = null)
    {
        // validation for constraint: string
        if (!is_null($driverActivityType) && !is_string($driverActivityType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($driverActivityType)), __LINE__);
        }
        $this->driverActivityType = $driverActivityType;
        return $this;
    }
    /**
     * Get endTime value
     * @return \StructType\Api_Date|null
     */
    public function getEndTime()
    {
        return $this->endTime;
    }
    /**
     * Set endTime value
     * @param \StructType\Api_Date $endTime
     * @return \StructType\Api_DriverDataEntryTO
     */
    public function setEndTime(\StructType\Api_Date $endTime = null)
    {
        $this->endTime = $endTime;
        return $this;
    }
    /**
     * Get originType value
     * @return string|null
     */
    public function getOriginType()
    {
        return $this->originType;
    }
    /**
     * Set originType value
     * @param string $originType
     * @return \StructType\Api_DriverDataEntryTO
     */
    public function setOriginType($originType = null)
    {
        // validation for constraint: string
        if (!is_null($originType) && !is_string($originType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($originType)), __LINE__);
        }
        $this->originType = $originType;
        return $this;
    }
    /**
     * Get startTime value
     * @return \StructType\Api_Date|null
     */
    public function getStartTime()
    {
        return $this->startTime;
    }
    /**
     * Set startTime value
     * @param \StructType\Api_Date $startTime
     * @return \StructType\Api_DriverDataEntryTO
     */
    public function setStartTime(\StructType\Api_Date $startTime = null)
    {
        $this->startTime = $startTime;
        return $this;
    }
    /**
     * Get vehicleId value
     * @return \StructType\Api_VehicleId|null
     */
    public function getVehicleId()
    {
        return $this->vehicleId;
    }
    /**
     * Set vehicleId value
     * @param \StructType\Api_VehicleId $vehicleId
     * @return \StructType\Api_DriverDataEntryTO
     */
    public function setVehicleId(\StructType\Api_VehicleId $vehicleId = null)
    {
        $this->vehicleId = $vehicleId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_DriverDataEntryTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
