<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_DtjDataEntryTO StructType
 * @subpackage Structs
 */
class Api_DtjDataEntryTO extends AbstractStructBase
{
    /**
     * The dtjActivityType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $dtjActivityType;
    /**
     * The endTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $endTime;
    /**
     * The startTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $startTime;
    /**
     * The vehicleId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $vehicleId;
    /**
     * Constructor method for Api_DtjDataEntryTO
     * @uses Api_DtjDataEntryTO::setDtjActivityType()
     * @uses Api_DtjDataEntryTO::setEndTime()
     * @uses Api_DtjDataEntryTO::setStartTime()
     * @uses Api_DtjDataEntryTO::setVehicleId()
     * @param string $dtjActivityType
     * @param \StructType\Api_Date $endTime
     * @param \StructType\Api_Date $startTime
     * @param \StructType\Api_VehicleId $vehicleId
     */
    public function __construct($dtjActivityType = null, \StructType\Api_Date $endTime = null, \StructType\Api_Date $startTime = null, \StructType\Api_VehicleId $vehicleId = null)
    {
        $this
            ->setDtjActivityType($dtjActivityType)
            ->setEndTime($endTime)
            ->setStartTime($startTime)
            ->setVehicleId($vehicleId);
    }
    /**
     * Get dtjActivityType value
     * @return string|null
     */
    public function getDtjActivityType()
    {
        return $this->dtjActivityType;
    }
    /**
     * Set dtjActivityType value
     * @param string $dtjActivityType
     * @return \StructType\Api_DtjDataEntryTO
     */
    public function setDtjActivityType($dtjActivityType = null)
    {
        // validation for constraint: string
        if (!is_null($dtjActivityType) && !is_string($dtjActivityType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dtjActivityType)), __LINE__);
        }
        $this->dtjActivityType = $dtjActivityType;
        return $this;
    }
    /**
     * Get endTime value
     * @return \StructType\Api_Date|null
     */
    public function getEndTime()
    {
        return $this->endTime;
    }
    /**
     * Set endTime value
     * @param \StructType\Api_Date $endTime
     * @return \StructType\Api_DtjDataEntryTO
     */
    public function setEndTime(\StructType\Api_Date $endTime = null)
    {
        $this->endTime = $endTime;
        return $this;
    }
    /**
     * Get startTime value
     * @return \StructType\Api_Date|null
     */
    public function getStartTime()
    {
        return $this->startTime;
    }
    /**
     * Set startTime value
     * @param \StructType\Api_Date $startTime
     * @return \StructType\Api_DtjDataEntryTO
     */
    public function setStartTime(\StructType\Api_Date $startTime = null)
    {
        $this->startTime = $startTime;
        return $this;
    }
    /**
     * Get vehicleId value
     * @return \StructType\Api_VehicleId|null
     */
    public function getVehicleId()
    {
        return $this->vehicleId;
    }
    /**
     * Set vehicleId value
     * @param \StructType\Api_VehicleId $vehicleId
     * @return \StructType\Api_DtjDataEntryTO
     */
    public function setVehicleId(\StructType\Api_VehicleId $vehicleId = null)
    {
        $this->vehicleId = $vehicleId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_DtjDataEntryTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
