<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_FormFieldTO StructType
 * @subpackage Structs
 */
class Api_FormFieldTO extends AbstractStructBase
{
    /**
     * The dataType
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $dataType;
    /**
     * The fieldDescription
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $fieldDescription;
    /**
     * The maxStringLength
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Long
     */
    public $maxStringLength;
    /**
     * The mobileManadatory
     * @var bool
     */
    public $mobileManadatory;
    /**
     * The mobileReadOnly
     * @var bool
     */
    public $mobileReadOnly;
    /**
     * The mobileWriteIfYouLike
     * @var bool
     */
    public $mobileWriteIfYouLike;
    /**
     * The officeManadatory
     * @var bool
     */
    public $officeManadatory;
    /**
     * The officeReadOnly
     * @var bool
     */
    public $officeReadOnly;
    /**
     * The officeWriteIfYouLike
     * @var bool
     */
    public $officeWriteIfYouLike;
    /**
     * Constructor method for Api_FormFieldTO
     * @uses Api_FormFieldTO::setDataType()
     * @uses Api_FormFieldTO::setFieldDescription()
     * @uses Api_FormFieldTO::setMaxStringLength()
     * @uses Api_FormFieldTO::setMobileManadatory()
     * @uses Api_FormFieldTO::setMobileReadOnly()
     * @uses Api_FormFieldTO::setMobileWriteIfYouLike()
     * @uses Api_FormFieldTO::setOfficeManadatory()
     * @uses Api_FormFieldTO::setOfficeReadOnly()
     * @uses Api_FormFieldTO::setOfficeWriteIfYouLike()
     * @param string $dataType
     * @param string $fieldDescription
     * @param \StructType\Api_Long $maxStringLength
     * @param bool $mobileManadatory
     * @param bool $mobileReadOnly
     * @param bool $mobileWriteIfYouLike
     * @param bool $officeManadatory
     * @param bool $officeReadOnly
     * @param bool $officeWriteIfYouLike
     */
    public function __construct($dataType = null, $fieldDescription = null, \StructType\Api_Long $maxStringLength = null, $mobileManadatory = null, $mobileReadOnly = null, $mobileWriteIfYouLike = null, $officeManadatory = null, $officeReadOnly = null, $officeWriteIfYouLike = null)
    {
        $this
            ->setDataType($dataType)
            ->setFieldDescription($fieldDescription)
            ->setMaxStringLength($maxStringLength)
            ->setMobileManadatory($mobileManadatory)
            ->setMobileReadOnly($mobileReadOnly)
            ->setMobileWriteIfYouLike($mobileWriteIfYouLike)
            ->setOfficeManadatory($officeManadatory)
            ->setOfficeReadOnly($officeReadOnly)
            ->setOfficeWriteIfYouLike($officeWriteIfYouLike);
    }
    /**
     * Get dataType value
     * @return string|null
     */
    public function getDataType()
    {
        return $this->dataType;
    }
    /**
     * Set dataType value
     * @param string $dataType
     * @return \StructType\Api_FormFieldTO
     */
    public function setDataType($dataType = null)
    {
        // validation for constraint: string
        if (!is_null($dataType) && !is_string($dataType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dataType)), __LINE__);
        }
        $this->dataType = $dataType;
        return $this;
    }
    /**
     * Get fieldDescription value
     * @return string|null
     */
    public function getFieldDescription()
    {
        return $this->fieldDescription;
    }
    /**
     * Set fieldDescription value
     * @param string $fieldDescription
     * @return \StructType\Api_FormFieldTO
     */
    public function setFieldDescription($fieldDescription = null)
    {
        // validation for constraint: string
        if (!is_null($fieldDescription) && !is_string($fieldDescription)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fieldDescription)), __LINE__);
        }
        $this->fieldDescription = $fieldDescription;
        return $this;
    }
    /**
     * Get maxStringLength value
     * @return \StructType\Api_Long|null
     */
    public function getMaxStringLength()
    {
        return $this->maxStringLength;
    }
    /**
     * Set maxStringLength value
     * @param \StructType\Api_Long $maxStringLength
     * @return \StructType\Api_FormFieldTO
     */
    public function setMaxStringLength(\StructType\Api_Long $maxStringLength = null)
    {
        $this->maxStringLength = $maxStringLength;
        return $this;
    }
    /**
     * Get mobileManadatory value
     * @return bool|null
     */
    public function getMobileManadatory()
    {
        return $this->mobileManadatory;
    }
    /**
     * Set mobileManadatory value
     * @param bool $mobileManadatory
     * @return \StructType\Api_FormFieldTO
     */
    public function setMobileManadatory($mobileManadatory = null)
    {
        // validation for constraint: boolean
        if (!is_null($mobileManadatory) && !is_bool($mobileManadatory)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($mobileManadatory)), __LINE__);
        }
        $this->mobileManadatory = $mobileManadatory;
        return $this;
    }
    /**
     * Get mobileReadOnly value
     * @return bool|null
     */
    public function getMobileReadOnly()
    {
        return $this->mobileReadOnly;
    }
    /**
     * Set mobileReadOnly value
     * @param bool $mobileReadOnly
     * @return \StructType\Api_FormFieldTO
     */
    public function setMobileReadOnly($mobileReadOnly = null)
    {
        // validation for constraint: boolean
        if (!is_null($mobileReadOnly) && !is_bool($mobileReadOnly)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($mobileReadOnly)), __LINE__);
        }
        $this->mobileReadOnly = $mobileReadOnly;
        return $this;
    }
    /**
     * Get mobileWriteIfYouLike value
     * @return bool|null
     */
    public function getMobileWriteIfYouLike()
    {
        return $this->mobileWriteIfYouLike;
    }
    /**
     * Set mobileWriteIfYouLike value
     * @param bool $mobileWriteIfYouLike
     * @return \StructType\Api_FormFieldTO
     */
    public function setMobileWriteIfYouLike($mobileWriteIfYouLike = null)
    {
        // validation for constraint: boolean
        if (!is_null($mobileWriteIfYouLike) && !is_bool($mobileWriteIfYouLike)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($mobileWriteIfYouLike)), __LINE__);
        }
        $this->mobileWriteIfYouLike = $mobileWriteIfYouLike;
        return $this;
    }
    /**
     * Get officeManadatory value
     * @return bool|null
     */
    public function getOfficeManadatory()
    {
        return $this->officeManadatory;
    }
    /**
     * Set officeManadatory value
     * @param bool $officeManadatory
     * @return \StructType\Api_FormFieldTO
     */
    public function setOfficeManadatory($officeManadatory = null)
    {
        // validation for constraint: boolean
        if (!is_null($officeManadatory) && !is_bool($officeManadatory)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($officeManadatory)), __LINE__);
        }
        $this->officeManadatory = $officeManadatory;
        return $this;
    }
    /**
     * Get officeReadOnly value
     * @return bool|null
     */
    public function getOfficeReadOnly()
    {
        return $this->officeReadOnly;
    }
    /**
     * Set officeReadOnly value
     * @param bool $officeReadOnly
     * @return \StructType\Api_FormFieldTO
     */
    public function setOfficeReadOnly($officeReadOnly = null)
    {
        // validation for constraint: boolean
        if (!is_null($officeReadOnly) && !is_bool($officeReadOnly)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($officeReadOnly)), __LINE__);
        }
        $this->officeReadOnly = $officeReadOnly;
        return $this;
    }
    /**
     * Get officeWriteIfYouLike value
     * @return bool|null
     */
    public function getOfficeWriteIfYouLike()
    {
        return $this->officeWriteIfYouLike;
    }
    /**
     * Set officeWriteIfYouLike value
     * @param bool $officeWriteIfYouLike
     * @return \StructType\Api_FormFieldTO
     */
    public function setOfficeWriteIfYouLike($officeWriteIfYouLike = null)
    {
        // validation for constraint: boolean
        if (!is_null($officeWriteIfYouLike) && !is_bool($officeWriteIfYouLike)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($officeWriteIfYouLike)), __LINE__);
        }
        $this->officeWriteIfYouLike = $officeWriteIfYouLike;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_FormFieldTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
