<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_FormMessageDeleteFormMessagesTO StructType
 * @subpackage Structs
 */
class Api_FormMessageDeleteFormMessagesTO extends AbstractStructBase
{
    /**
     * The formMessageIdList
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \StructType\Api_FormMessageId[]
     */
    public $formMessageIdList;
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_SessionId
     */
    public $sessionId;
    /**
     * Constructor method for Api_FormMessageDeleteFormMessagesTO
     * @uses Api_FormMessageDeleteFormMessagesTO::setFormMessageIdList()
     * @uses Api_FormMessageDeleteFormMessagesTO::setSessionId()
     * @param \StructType\Api_FormMessageId[] $formMessageIdList
     * @param \StructType\Api_SessionId $sessionId
     */
    public function __construct(array $formMessageIdList = array(), \StructType\Api_SessionId $sessionId = null)
    {
        $this
            ->setFormMessageIdList($formMessageIdList)
            ->setSessionId($sessionId);
    }
    /**
     * Get formMessageIdList value
     * @return \StructType\Api_FormMessageId[]|null
     */
    public function getFormMessageIdList()
    {
        return $this->formMessageIdList;
    }
    /**
     * Set formMessageIdList value
     * @throws \InvalidArgumentException
     * @param \StructType\Api_FormMessageId[] $formMessageIdList
     * @return \StructType\Api_FormMessageDeleteFormMessagesTO
     */
    public function setFormMessageIdList(array $formMessageIdList = array())
    {
        foreach ($formMessageIdList as $api_FormMessageDeleteFormMessagesTOFormMessageIdListItem) {
            // validation for constraint: itemType
            if (!$api_FormMessageDeleteFormMessagesTOFormMessageIdListItem instanceof \StructType\Api_FormMessageId) {
                throw new \InvalidArgumentException(sprintf('The formMessageIdList property can only contain items of \StructType\Api_FormMessageId, "%s" given', is_object($api_FormMessageDeleteFormMessagesTOFormMessageIdListItem) ? get_class($api_FormMessageDeleteFormMessagesTOFormMessageIdListItem) : gettype($api_FormMessageDeleteFormMessagesTOFormMessageIdListItem)), __LINE__);
            }
        }
        $this->formMessageIdList = $formMessageIdList;
        return $this;
    }
    /**
     * Add item to formMessageIdList value
     * @throws \InvalidArgumentException
     * @param \StructType\Api_FormMessageId $item
     * @return \StructType\Api_FormMessageDeleteFormMessagesTO
     */
    public function addToFormMessageIdList(\StructType\Api_FormMessageId $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Api_FormMessageId) {
            throw new \InvalidArgumentException(sprintf('The formMessageIdList property can only contain items of \StructType\Api_FormMessageId, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->formMessageIdList[] = $item;
        return $this;
    }
    /**
     * Get sessionId value
     * @return \StructType\Api_SessionId|null
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param \StructType\Api_SessionId $sessionId
     * @return \StructType\Api_FormMessageDeleteFormMessagesTO
     */
    public function setSessionId(\StructType\Api_SessionId $sessionId = null)
    {
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_FormMessageDeleteFormMessagesTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
