<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_GeofencePlusDetailsTO StructType
 * @subpackage Structs
 */
class Api_GeofencePlusDetailsTO extends AbstractStructBase
{
    /**
     * The activeInformation
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_GeofenceActiveInformationTO
     */
    public $activeInformation;
    /**
     * The assignedVehicles
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \ArrayType\Api_LongArrayTO
     */
    public $assignedVehicles;
    /**
     * The border
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofenceBorderTO
     */
    public $border;
    /**
     * The circle
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofenceCircleTO
     */
    public $circle;
    /**
     * The enteringMessage
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $enteringMessage;
    /**
     * The geofenceId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofenceId
     */
    public $geofenceId;
    /**
     * The geofenceName
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $geofenceName;
    /**
     * The geofenceType
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $geofenceType;
    /**
     * The leavingMessage
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $leavingMessage;
    /**
     * The poi
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofencePoiTO
     */
    public $poi;
    /**
     * The polygon
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofencePolygonTO
     */
    public $polygon;
    /**
     * The rectangle
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofenceRectangleTO
     */
    public $rectangle;
    /**
     * The route
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_GeofenceRouteTO
     */
    public $route;
    /**
     * Constructor method for Api_GeofencePlusDetailsTO
     * @uses Api_GeofencePlusDetailsTO::setActiveInformation()
     * @uses Api_GeofencePlusDetailsTO::setAssignedVehicles()
     * @uses Api_GeofencePlusDetailsTO::setBorder()
     * @uses Api_GeofencePlusDetailsTO::setCircle()
     * @uses Api_GeofencePlusDetailsTO::setEnteringMessage()
     * @uses Api_GeofencePlusDetailsTO::setGeofenceId()
     * @uses Api_GeofencePlusDetailsTO::setGeofenceName()
     * @uses Api_GeofencePlusDetailsTO::setGeofenceType()
     * @uses Api_GeofencePlusDetailsTO::setLeavingMessage()
     * @uses Api_GeofencePlusDetailsTO::setPoi()
     * @uses Api_GeofencePlusDetailsTO::setPolygon()
     * @uses Api_GeofencePlusDetailsTO::setRectangle()
     * @uses Api_GeofencePlusDetailsTO::setRoute()
     * @param \StructType\Api_GeofenceActiveInformationTO $activeInformation
     * @param \ArrayType\Api_LongArrayTO $assignedVehicles
     * @param \StructType\Api_GeofenceBorderTO $border
     * @param \StructType\Api_GeofenceCircleTO $circle
     * @param string $enteringMessage
     * @param \StructType\Api_GeofenceId $geofenceId
     * @param string $geofenceName
     * @param string $geofenceType
     * @param string $leavingMessage
     * @param \StructType\Api_GeofencePoiTO $poi
     * @param \StructType\Api_GeofencePolygonTO $polygon
     * @param \StructType\Api_GeofenceRectangleTO $rectangle
     * @param \StructType\Api_GeofenceRouteTO $route
     */
    public function __construct(\StructType\Api_GeofenceActiveInformationTO $activeInformation = null, \ArrayType\Api_LongArrayTO $assignedVehicles = null, \StructType\Api_GeofenceBorderTO $border = null, \StructType\Api_GeofenceCircleTO $circle = null, $enteringMessage = null, \StructType\Api_GeofenceId $geofenceId = null, $geofenceName = null, $geofenceType = null, $leavingMessage = null, \StructType\Api_GeofencePoiTO $poi = null, \StructType\Api_GeofencePolygonTO $polygon = null, \StructType\Api_GeofenceRectangleTO $rectangle = null, \StructType\Api_GeofenceRouteTO $route = null)
    {
        $this
            ->setActiveInformation($activeInformation)
            ->setAssignedVehicles($assignedVehicles)
            ->setBorder($border)
            ->setCircle($circle)
            ->setEnteringMessage($enteringMessage)
            ->setGeofenceId($geofenceId)
            ->setGeofenceName($geofenceName)
            ->setGeofenceType($geofenceType)
            ->setLeavingMessage($leavingMessage)
            ->setPoi($poi)
            ->setPolygon($polygon)
            ->setRectangle($rectangle)
            ->setRoute($route);
    }
    /**
     * Get activeInformation value
     * @return \StructType\Api_GeofenceActiveInformationTO|null
     */
    public function getActiveInformation()
    {
        return $this->activeInformation;
    }
    /**
     * Set activeInformation value
     * @param \StructType\Api_GeofenceActiveInformationTO $activeInformation
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setActiveInformation(\StructType\Api_GeofenceActiveInformationTO $activeInformation = null)
    {
        $this->activeInformation = $activeInformation;
        return $this;
    }
    /**
     * Get assignedVehicles value
     * @return \ArrayType\Api_LongArrayTO|null
     */
    public function getAssignedVehicles()
    {
        return $this->assignedVehicles;
    }
    /**
     * Set assignedVehicles value
     * @param \ArrayType\Api_LongArrayTO $assignedVehicles
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setAssignedVehicles(\ArrayType\Api_LongArrayTO $assignedVehicles = null)
    {
        $this->assignedVehicles = $assignedVehicles;
        return $this;
    }
    /**
     * Get border value
     * @return \StructType\Api_GeofenceBorderTO|null
     */
    public function getBorder()
    {
        return $this->border;
    }
    /**
     * Set border value
     * @param \StructType\Api_GeofenceBorderTO $border
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setBorder(\StructType\Api_GeofenceBorderTO $border = null)
    {
        $this->border = $border;
        return $this;
    }
    /**
     * Get circle value
     * @return \StructType\Api_GeofenceCircleTO|null
     */
    public function getCircle()
    {
        return $this->circle;
    }
    /**
     * Set circle value
     * @param \StructType\Api_GeofenceCircleTO $circle
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setCircle(\StructType\Api_GeofenceCircleTO $circle = null)
    {
        $this->circle = $circle;
        return $this;
    }
    /**
     * Get enteringMessage value
     * @return string|null
     */
    public function getEnteringMessage()
    {
        return $this->enteringMessage;
    }
    /**
     * Set enteringMessage value
     * @param string $enteringMessage
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setEnteringMessage($enteringMessage = null)
    {
        // validation for constraint: string
        if (!is_null($enteringMessage) && !is_string($enteringMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($enteringMessage)), __LINE__);
        }
        $this->enteringMessage = $enteringMessage;
        return $this;
    }
    /**
     * Get geofenceId value
     * @return \StructType\Api_GeofenceId|null
     */
    public function getGeofenceId()
    {
        return $this->geofenceId;
    }
    /**
     * Set geofenceId value
     * @param \StructType\Api_GeofenceId $geofenceId
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setGeofenceId(\StructType\Api_GeofenceId $geofenceId = null)
    {
        $this->geofenceId = $geofenceId;
        return $this;
    }
    /**
     * Get geofenceName value
     * @return string|null
     */
    public function getGeofenceName()
    {
        return $this->geofenceName;
    }
    /**
     * Set geofenceName value
     * @param string $geofenceName
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setGeofenceName($geofenceName = null)
    {
        // validation for constraint: string
        if (!is_null($geofenceName) && !is_string($geofenceName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($geofenceName)), __LINE__);
        }
        $this->geofenceName = $geofenceName;
        return $this;
    }
    /**
     * Get geofenceType value
     * @return string|null
     */
    public function getGeofenceType()
    {
        return $this->geofenceType;
    }
    /**
     * Set geofenceType value
     * @param string $geofenceType
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setGeofenceType($geofenceType = null)
    {
        // validation for constraint: string
        if (!is_null($geofenceType) && !is_string($geofenceType)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($geofenceType)), __LINE__);
        }
        $this->geofenceType = $geofenceType;
        return $this;
    }
    /**
     * Get leavingMessage value
     * @return string|null
     */
    public function getLeavingMessage()
    {
        return $this->leavingMessage;
    }
    /**
     * Set leavingMessage value
     * @param string $leavingMessage
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setLeavingMessage($leavingMessage = null)
    {
        // validation for constraint: string
        if (!is_null($leavingMessage) && !is_string($leavingMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($leavingMessage)), __LINE__);
        }
        $this->leavingMessage = $leavingMessage;
        return $this;
    }
    /**
     * Get poi value
     * @return \StructType\Api_GeofencePoiTO|null
     */
    public function getPoi()
    {
        return $this->poi;
    }
    /**
     * Set poi value
     * @param \StructType\Api_GeofencePoiTO $poi
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setPoi(\StructType\Api_GeofencePoiTO $poi = null)
    {
        $this->poi = $poi;
        return $this;
    }
    /**
     * Get polygon value
     * @return \StructType\Api_GeofencePolygonTO|null
     */
    public function getPolygon()
    {
        return $this->polygon;
    }
    /**
     * Set polygon value
     * @param \StructType\Api_GeofencePolygonTO $polygon
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setPolygon(\StructType\Api_GeofencePolygonTO $polygon = null)
    {
        $this->polygon = $polygon;
        return $this;
    }
    /**
     * Get rectangle value
     * @return \StructType\Api_GeofenceRectangleTO|null
     */
    public function getRectangle()
    {
        return $this->rectangle;
    }
    /**
     * Set rectangle value
     * @param \StructType\Api_GeofenceRectangleTO $rectangle
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setRectangle(\StructType\Api_GeofenceRectangleTO $rectangle = null)
    {
        $this->rectangle = $rectangle;
        return $this;
    }
    /**
     * Get route value
     * @return \StructType\Api_GeofenceRouteTO|null
     */
    public function getRoute()
    {
        return $this->route;
    }
    /**
     * Set route value
     * @param \StructType\Api_GeofenceRouteTO $route
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public function setRoute(\StructType\Api_GeofenceRouteTO $route = null)
    {
        $this->route = $route;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_GeofencePlusDetailsTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
