<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_GeofencePolygonTO StructType
 * @subpackage Structs
 */
class Api_GeofencePolygonTO extends AbstractStructBase
{
    /**
     * The points
     * Meta informations extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: false
     * @var \StructType\Api_PointTO[]
     */
    public $points;
    /**
     * Constructor method for Api_GeofencePolygonTO
     * @uses Api_GeofencePolygonTO::setPoints()
     * @param \StructType\Api_PointTO[] $points
     */
    public function __construct(array $points = array())
    {
        $this
            ->setPoints($points);
    }
    /**
     * Get points value
     * @return \StructType\Api_PointTO[]|null
     */
    public function getPoints()
    {
        return $this->points;
    }
    /**
     * Set points value
     * @throws \InvalidArgumentException
     * @param \StructType\Api_PointTO[] $points
     * @return \StructType\Api_GeofencePolygonTO
     */
    public function setPoints(array $points = array())
    {
        foreach ($points as $api_GeofencePolygonTOPointsItem) {
            // validation for constraint: itemType
            if (!$api_GeofencePolygonTOPointsItem instanceof \StructType\Api_PointTO) {
                throw new \InvalidArgumentException(sprintf('The points property can only contain items of \StructType\Api_PointTO, "%s" given', is_object($api_GeofencePolygonTOPointsItem) ? get_class($api_GeofencePolygonTOPointsItem) : gettype($api_GeofencePolygonTOPointsItem)), __LINE__);
            }
        }
        $this->points = $points;
        return $this;
    }
    /**
     * Add item to points value
     * @throws \InvalidArgumentException
     * @param \StructType\Api_PointTO $item
     * @return \StructType\Api_GeofencePolygonTO
     */
    public function addToPoints(\StructType\Api_PointTO $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\Api_PointTO) {
            throw new \InvalidArgumentException(sprintf('The points property can only contain items of \StructType\Api_PointTO, "%s" given', is_object($item) ? get_class($item) : gettype($item)), __LINE__);
        }
        $this->points[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_GeofencePolygonTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
