<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_LastKnownPositionTO StructType
 * @subpackage Structs
 */
class Api_LastKnownPositionTO extends AbstractStructBase
{
    /**
     * The vehicleId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_VehicleId
     */
    public $vehicleId;
    /**
     * The positionDateTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $positionDateTime;
    /**
     * The latitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $latitude;
    /**
     * The longitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $longitude;
    /**
     * The altitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $altitude;
    /**
     * The heading
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Float
     */
    public $heading;
    /**
     * Constructor method for Api_LastKnownPositionTO
     * @uses Api_LastKnownPositionTO::setVehicleId()
     * @uses Api_LastKnownPositionTO::setPositionDateTime()
     * @uses Api_LastKnownPositionTO::setLatitude()
     * @uses Api_LastKnownPositionTO::setLongitude()
     * @uses Api_LastKnownPositionTO::setAltitude()
     * @uses Api_LastKnownPositionTO::setHeading()
     * @param \StructType\Api_VehicleId $vehicleId
     * @param \StructType\Api_Date $positionDateTime
     * @param \StructType\Api_Double $latitude
     * @param \StructType\Api_Double $longitude
     * @param \StructType\Api_Double $altitude
     * @param \StructType\Api_Float $heading
     */
    public function __construct(\StructType\Api_VehicleId $vehicleId = null, \StructType\Api_Date $positionDateTime = null, \StructType\Api_Double $latitude = null, \StructType\Api_Double $longitude = null, \StructType\Api_Double $altitude = null, \StructType\Api_Float $heading = null)
    {
        $this
            ->setVehicleId($vehicleId)
            ->setPositionDateTime($positionDateTime)
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setAltitude($altitude)
            ->setHeading($heading);
    }
    /**
     * Get vehicleId value
     * @return \StructType\Api_VehicleId|null
     */
    public function getVehicleId()
    {
        return $this->vehicleId;
    }
    /**
     * Set vehicleId value
     * @param \StructType\Api_VehicleId $vehicleId
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setVehicleId(\StructType\Api_VehicleId $vehicleId = null)
    {
        $this->vehicleId = $vehicleId;
        return $this;
    }
    /**
     * Get positionDateTime value
     * @return \StructType\Api_Date|null
     */
    public function getPositionDateTime()
    {
        return $this->positionDateTime;
    }
    /**
     * Set positionDateTime value
     * @param \StructType\Api_Date $positionDateTime
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setPositionDateTime(\StructType\Api_Date $positionDateTime = null)
    {
        $this->positionDateTime = $positionDateTime;
        return $this;
    }
    /**
     * Get latitude value
     * @return \StructType\Api_Double|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param \StructType\Api_Double $latitude
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setLatitude(\StructType\Api_Double $latitude = null)
    {
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return \StructType\Api_Double|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param \StructType\Api_Double $longitude
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setLongitude(\StructType\Api_Double $longitude = null)
    {
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Get altitude value
     * @return \StructType\Api_Double|null
     */
    public function getAltitude()
    {
        return $this->altitude;
    }
    /**
     * Set altitude value
     * @param \StructType\Api_Double $altitude
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setAltitude(\StructType\Api_Double $altitude = null)
    {
        $this->altitude = $altitude;
        return $this;
    }
    /**
     * Get heading value
     * @return \StructType\Api_Float|null
     */
    public function getHeading()
    {
        return $this->heading;
    }
    /**
     * Set heading value
     * @param \StructType\Api_Float $heading
     * @return \StructType\Api_LastKnownPositionTO
     */
    public function setHeading(\StructType\Api_Float $heading = null)
    {
        $this->heading = $heading;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_LastKnownPositionTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
