<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_MessageSendMessageToUserTO StructType
 * @subpackage Structs
 */
class Api_MessageSendMessageToUserTO extends AbstractStructBase
{
    /**
     * The sessionId
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_SessionId
     */
    public $sessionId;
    /**
     * The text
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $text;
    /**
     * The userId
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_UserId
     */
    public $userId;
    /**
     * Constructor method for Api_MessageSendMessageToUserTO
     * @uses Api_MessageSendMessageToUserTO::setSessionId()
     * @uses Api_MessageSendMessageToUserTO::setText()
     * @uses Api_MessageSendMessageToUserTO::setUserId()
     * @param \StructType\Api_SessionId $sessionId
     * @param string $text
     * @param \StructType\Api_UserId $userId
     */
    public function __construct(\StructType\Api_SessionId $sessionId = null, $text = null, \StructType\Api_UserId $userId = null)
    {
        $this
            ->setSessionId($sessionId)
            ->setText($text)
            ->setUserId($userId);
    }
    /**
     * Get sessionId value
     * @return \StructType\Api_SessionId|null
     */
    public function getSessionId()
    {
        return $this->sessionId;
    }
    /**
     * Set sessionId value
     * @param \StructType\Api_SessionId $sessionId
     * @return \StructType\Api_MessageSendMessageToUserTO
     */
    public function setSessionId(\StructType\Api_SessionId $sessionId = null)
    {
        $this->sessionId = $sessionId;
        return $this;
    }
    /**
     * Get text value
     * @return string|null
     */
    public function getText()
    {
        return $this->text;
    }
    /**
     * Set text value
     * @param string $text
     * @return \StructType\Api_MessageSendMessageToUserTO
     */
    public function setText($text = null)
    {
        // validation for constraint: string
        if (!is_null($text) && !is_string($text)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($text)), __LINE__);
        }
        $this->text = $text;
        return $this;
    }
    /**
     * Get userId value
     * @return \StructType\Api_UserId|null
     */
    public function getUserId()
    {
        return $this->userId;
    }
    /**
     * Set userId value
     * @param \StructType\Api_UserId $userId
     * @return \StructType\Api_MessageSendMessageToUserTO
     */
    public function setUserId(\StructType\Api_UserId $userId = null)
    {
        $this->userId = $userId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_MessageSendMessageToUserTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
