<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_PoiTO StructType
 * @subpackage Structs
 */
class Api_PoiTO extends AbstractStructBase
{
    /**
     * The category
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_Long
     */
    public $category;
    /**
     * The city
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $city;
    /**
     * The country
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $country;
    /**
     * The createTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $createTime;
    /**
     * The deletedTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $deletedTime;
    /**
     * The description
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $description;
    /**
     * The displayName
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $displayName;
    /**
     * The lastModifyTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $lastModifyTime;
    /**
     * The latitude
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_Double
     */
    public $latitude;
    /**
     * The longitude
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_Double
     */
    public $longitude;
    /**
     * The poiId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_PoiId
     */
    public $poiId;
    /**
     * The street
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $street;
    /**
     * Constructor method for Api_PoiTO
     * @uses Api_PoiTO::setCategory()
     * @uses Api_PoiTO::setCity()
     * @uses Api_PoiTO::setCountry()
     * @uses Api_PoiTO::setCreateTime()
     * @uses Api_PoiTO::setDeletedTime()
     * @uses Api_PoiTO::setDescription()
     * @uses Api_PoiTO::setDisplayName()
     * @uses Api_PoiTO::setLastModifyTime()
     * @uses Api_PoiTO::setLatitude()
     * @uses Api_PoiTO::setLongitude()
     * @uses Api_PoiTO::setPoiId()
     * @uses Api_PoiTO::setStreet()
     * @param \StructType\Api_Long $category
     * @param string $city
     * @param string $country
     * @param \StructType\Api_Date $createTime
     * @param \StructType\Api_Date $deletedTime
     * @param string $description
     * @param string $displayName
     * @param \StructType\Api_Date $lastModifyTime
     * @param \StructType\Api_Double $latitude
     * @param \StructType\Api_Double $longitude
     * @param \StructType\Api_PoiId $poiId
     * @param string $street
     */
    public function __construct(\StructType\Api_Long $category = null, $city = null, $country = null, \StructType\Api_Date $createTime = null, \StructType\Api_Date $deletedTime = null, $description = null, $displayName = null, \StructType\Api_Date $lastModifyTime = null, \StructType\Api_Double $latitude = null, \StructType\Api_Double $longitude = null, \StructType\Api_PoiId $poiId = null, $street = null)
    {
        $this
            ->setCategory($category)
            ->setCity($city)
            ->setCountry($country)
            ->setCreateTime($createTime)
            ->setDeletedTime($deletedTime)
            ->setDescription($description)
            ->setDisplayName($displayName)
            ->setLastModifyTime($lastModifyTime)
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setPoiId($poiId)
            ->setStreet($street);
    }
    /**
     * Get category value
     * @return \StructType\Api_Long|null
     */
    public function getCategory()
    {
        return $this->category;
    }
    /**
     * Set category value
     * @param \StructType\Api_Long $category
     * @return \StructType\Api_PoiTO
     */
    public function setCategory(\StructType\Api_Long $category = null)
    {
        $this->category = $category;
        return $this;
    }
    /**
     * Get city value
     * @return string|null
     */
    public function getCity()
    {
        return $this->city;
    }
    /**
     * Set city value
     * @param string $city
     * @return \StructType\Api_PoiTO
     */
    public function setCity($city = null)
    {
        // validation for constraint: string
        if (!is_null($city) && !is_string($city)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($city)), __LINE__);
        }
        $this->city = $city;
        return $this;
    }
    /**
     * Get country value
     * @return string|null
     */
    public function getCountry()
    {
        return $this->country;
    }
    /**
     * Set country value
     * @param string $country
     * @return \StructType\Api_PoiTO
     */
    public function setCountry($country = null)
    {
        // validation for constraint: string
        if (!is_null($country) && !is_string($country)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($country)), __LINE__);
        }
        $this->country = $country;
        return $this;
    }
    /**
     * Get createTime value
     * @return \StructType\Api_Date|null
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }
    /**
     * Set createTime value
     * @param \StructType\Api_Date $createTime
     * @return \StructType\Api_PoiTO
     */
    public function setCreateTime(\StructType\Api_Date $createTime = null)
    {
        $this->createTime = $createTime;
        return $this;
    }
    /**
     * Get deletedTime value
     * @return \StructType\Api_Date|null
     */
    public function getDeletedTime()
    {
        return $this->deletedTime;
    }
    /**
     * Set deletedTime value
     * @param \StructType\Api_Date $deletedTime
     * @return \StructType\Api_PoiTO
     */
    public function setDeletedTime(\StructType\Api_Date $deletedTime = null)
    {
        $this->deletedTime = $deletedTime;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \StructType\Api_PoiTO
     */
    public function setDescription($description = null)
    {
        // validation for constraint: string
        if (!is_null($description) && !is_string($description)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($description)), __LINE__);
        }
        $this->description = $description;
        return $this;
    }
    /**
     * Get displayName value
     * @return string|null
     */
    public function getDisplayName()
    {
        return $this->displayName;
    }
    /**
     * Set displayName value
     * @param string $displayName
     * @return \StructType\Api_PoiTO
     */
    public function setDisplayName($displayName = null)
    {
        // validation for constraint: string
        if (!is_null($displayName) && !is_string($displayName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($displayName)), __LINE__);
        }
        $this->displayName = $displayName;
        return $this;
    }
    /**
     * Get lastModifyTime value
     * @return \StructType\Api_Date|null
     */
    public function getLastModifyTime()
    {
        return $this->lastModifyTime;
    }
    /**
     * Set lastModifyTime value
     * @param \StructType\Api_Date $lastModifyTime
     * @return \StructType\Api_PoiTO
     */
    public function setLastModifyTime(\StructType\Api_Date $lastModifyTime = null)
    {
        $this->lastModifyTime = $lastModifyTime;
        return $this;
    }
    /**
     * Get latitude value
     * @return \StructType\Api_Double|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param \StructType\Api_Double $latitude
     * @return \StructType\Api_PoiTO
     */
    public function setLatitude(\StructType\Api_Double $latitude = null)
    {
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return \StructType\Api_Double|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param \StructType\Api_Double $longitude
     * @return \StructType\Api_PoiTO
     */
    public function setLongitude(\StructType\Api_Double $longitude = null)
    {
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Get poiId value
     * @return \StructType\Api_PoiId|null
     */
    public function getPoiId()
    {
        return $this->poiId;
    }
    /**
     * Set poiId value
     * @param \StructType\Api_PoiId $poiId
     * @return \StructType\Api_PoiTO
     */
    public function setPoiId(\StructType\Api_PoiId $poiId = null)
    {
        $this->poiId = $poiId;
        return $this;
    }
    /**
     * Get street value
     * @return string|null
     */
    public function getStreet()
    {
        return $this->street;
    }
    /**
     * Set street value
     * @param string $street
     * @return \StructType\Api_PoiTO
     */
    public function setStreet($street = null)
    {
        // validation for constraint: string
        if (!is_null($street) && !is_string($street)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($street)), __LINE__);
        }
        $this->street = $street;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_PoiTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
