<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_PointTO StructType
 * @subpackage Structs
 */
class Api_PointTO extends AbstractStructBase
{
    /**
     * The latitude
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_Double
     */
    public $latitude;
    /**
     * The longitude
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var \StructType\Api_Double
     */
    public $longitude;
    /**
     * Constructor method for Api_PointTO
     * @uses Api_PointTO::setLatitude()
     * @uses Api_PointTO::setLongitude()
     * @param \StructType\Api_Double $latitude
     * @param \StructType\Api_Double $longitude
     */
    public function __construct(\StructType\Api_Double $latitude = null, \StructType\Api_Double $longitude = null)
    {
        $this
            ->setLatitude($latitude)
            ->setLongitude($longitude);
    }
    /**
     * Get latitude value
     * @return \StructType\Api_Double|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param \StructType\Api_Double $latitude
     * @return \StructType\Api_PointTO
     */
    public function setLatitude(\StructType\Api_Double $latitude = null)
    {
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return \StructType\Api_Double|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param \StructType\Api_Double $longitude
     * @return \StructType\Api_PointTO
     */
    public function setLongitude(\StructType\Api_Double $longitude = null)
    {
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_PointTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
