<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_PositionPlusTO StructType
 * @subpackage Structs
 */
class Api_PositionPlusTO extends AbstractStructBase
{
    /**
     * The latitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $latitude;
    /**
     * The longitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $longitude;
    /**
     * The positionTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $positionTime;
    /**
     * The vehicleInformationId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Long
     */
    public $vehicleInformationId;
    /**
     * Constructor method for Api_PositionPlusTO
     * @uses Api_PositionPlusTO::setLatitude()
     * @uses Api_PositionPlusTO::setLongitude()
     * @uses Api_PositionPlusTO::setPositionTime()
     * @uses Api_PositionPlusTO::setVehicleInformationId()
     * @param \StructType\Api_Double $latitude
     * @param \StructType\Api_Double $longitude
     * @param \StructType\Api_Date $positionTime
     * @param \StructType\Api_Long $vehicleInformationId
     */
    public function __construct(\StructType\Api_Double $latitude = null, \StructType\Api_Double $longitude = null, \StructType\Api_Date $positionTime = null, \StructType\Api_Long $vehicleInformationId = null)
    {
        $this
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setPositionTime($positionTime)
            ->setVehicleInformationId($vehicleInformationId);
    }
    /**
     * Get latitude value
     * @return \StructType\Api_Double|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param \StructType\Api_Double $latitude
     * @return \StructType\Api_PositionPlusTO
     */
    public function setLatitude(\StructType\Api_Double $latitude = null)
    {
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return \StructType\Api_Double|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param \StructType\Api_Double $longitude
     * @return \StructType\Api_PositionPlusTO
     */
    public function setLongitude(\StructType\Api_Double $longitude = null)
    {
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Get positionTime value
     * @return \StructType\Api_Date|null
     */
    public function getPositionTime()
    {
        return $this->positionTime;
    }
    /**
     * Set positionTime value
     * @param \StructType\Api_Date $positionTime
     * @return \StructType\Api_PositionPlusTO
     */
    public function setPositionTime(\StructType\Api_Date $positionTime = null)
    {
        $this->positionTime = $positionTime;
        return $this;
    }
    /**
     * Get vehicleInformationId value
     * @return \StructType\Api_Long|null
     */
    public function getVehicleInformationId()
    {
        return $this->vehicleInformationId;
    }
    /**
     * Set vehicleInformationId value
     * @param \StructType\Api_Long $vehicleInformationId
     * @return \StructType\Api_PositionPlusTO
     */
    public function setVehicleInformationId(\StructType\Api_Long $vehicleInformationId = null)
    {
        $this->vehicleInformationId = $vehicleInformationId;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_PositionPlusTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
