<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_PositionTO StructType
 * @subpackage Structs
 */
class Api_PositionTO extends AbstractStructBase
{
    /**
     * The altitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $altitude;
    /**
     * The heading
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Float
     */
    public $heading;
    /**
     * The latitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $latitude;
    /**
     * The longitude
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Double
     */
    public $longitude;
    /**
     * The positionTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $positionTime;
    /**
     * The receivedTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $receivedTime;
    /**
     * Constructor method for Api_PositionTO
     * @uses Api_PositionTO::setAltitude()
     * @uses Api_PositionTO::setHeading()
     * @uses Api_PositionTO::setLatitude()
     * @uses Api_PositionTO::setLongitude()
     * @uses Api_PositionTO::setPositionTime()
     * @uses Api_PositionTO::setReceivedTime()
     * @param \StructType\Api_Double $altitude
     * @param \StructType\Api_Float $heading
     * @param \StructType\Api_Double $latitude
     * @param \StructType\Api_Double $longitude
     * @param \StructType\Api_Date $positionTime
     * @param \StructType\Api_Date $receivedTime
     */
    public function __construct(\StructType\Api_Double $altitude = null, \StructType\Api_Float $heading = null, \StructType\Api_Double $latitude = null, \StructType\Api_Double $longitude = null, \StructType\Api_Date $positionTime = null, \StructType\Api_Date $receivedTime = null)
    {
        $this
            ->setAltitude($altitude)
            ->setHeading($heading)
            ->setLatitude($latitude)
            ->setLongitude($longitude)
            ->setPositionTime($positionTime)
            ->setReceivedTime($receivedTime);
    }
    /**
     * Get altitude value
     * @return \StructType\Api_Double|null
     */
    public function getAltitude()
    {
        return $this->altitude;
    }
    /**
     * Set altitude value
     * @param \StructType\Api_Double $altitude
     * @return \StructType\Api_PositionTO
     */
    public function setAltitude(\StructType\Api_Double $altitude = null)
    {
        $this->altitude = $altitude;
        return $this;
    }
    /**
     * Get heading value
     * @return \StructType\Api_Float|null
     */
    public function getHeading()
    {
        return $this->heading;
    }
    /**
     * Set heading value
     * @param \StructType\Api_Float $heading
     * @return \StructType\Api_PositionTO
     */
    public function setHeading(\StructType\Api_Float $heading = null)
    {
        $this->heading = $heading;
        return $this;
    }
    /**
     * Get latitude value
     * @return \StructType\Api_Double|null
     */
    public function getLatitude()
    {
        return $this->latitude;
    }
    /**
     * Set latitude value
     * @param \StructType\Api_Double $latitude
     * @return \StructType\Api_PositionTO
     */
    public function setLatitude(\StructType\Api_Double $latitude = null)
    {
        $this->latitude = $latitude;
        return $this;
    }
    /**
     * Get longitude value
     * @return \StructType\Api_Double|null
     */
    public function getLongitude()
    {
        return $this->longitude;
    }
    /**
     * Set longitude value
     * @param \StructType\Api_Double $longitude
     * @return \StructType\Api_PositionTO
     */
    public function setLongitude(\StructType\Api_Double $longitude = null)
    {
        $this->longitude = $longitude;
        return $this;
    }
    /**
     * Get positionTime value
     * @return \StructType\Api_Date|null
     */
    public function getPositionTime()
    {
        return $this->positionTime;
    }
    /**
     * Set positionTime value
     * @param \StructType\Api_Date $positionTime
     * @return \StructType\Api_PositionTO
     */
    public function setPositionTime(\StructType\Api_Date $positionTime = null)
    {
        $this->positionTime = $positionTime;
        return $this;
    }
    /**
     * Get receivedTime value
     * @return \StructType\Api_Date|null
     */
    public function getReceivedTime()
    {
        return $this->receivedTime;
    }
    /**
     * Set receivedTime value
     * @param \StructType\Api_Date $receivedTime
     * @return \StructType\Api_PositionTO
     */
    public function setReceivedTime(\StructType\Api_Date $receivedTime = null)
    {
        $this->receivedTime = $receivedTime;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_PositionTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
