<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Api_TransportCustomerTO StructType
 * @subpackage Structs
 */
class Api_TransportCustomerTO extends AbstractStructBase
{
    /**
     * The additionalInfo
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $additionalInfo;
    /**
     * The contactName
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $contactName;
    /**
     * The createTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $createTime;
    /**
     * The customerId
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_TransportCustomerId
     */
    public $customerId;
    /**
     * The deletedTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $deletedTime;
    /**
     * The email
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $email;
    /**
     * The faxNumber
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $faxNumber;
    /**
     * The lastModifiedTime
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var \StructType\Api_Date
     */
    public $lastModifiedTime;
    /**
     * The name
     * Meta informations extracted from the WSDL
     * - nillable: false
     * @var string
     */
    public $name;
    /**
     * The openHours
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $openHours;
    /**
     * The phoneNumber
     * Meta informations extracted from the WSDL
     * - nillable: true
     * @var string
     */
    public $phoneNumber;
    /**
     * Constructor method for Api_TransportCustomerTO
     * @uses Api_TransportCustomerTO::setAdditionalInfo()
     * @uses Api_TransportCustomerTO::setContactName()
     * @uses Api_TransportCustomerTO::setCreateTime()
     * @uses Api_TransportCustomerTO::setCustomerId()
     * @uses Api_TransportCustomerTO::setDeletedTime()
     * @uses Api_TransportCustomerTO::setEmail()
     * @uses Api_TransportCustomerTO::setFaxNumber()
     * @uses Api_TransportCustomerTO::setLastModifiedTime()
     * @uses Api_TransportCustomerTO::setName()
     * @uses Api_TransportCustomerTO::setOpenHours()
     * @uses Api_TransportCustomerTO::setPhoneNumber()
     * @param string $additionalInfo
     * @param string $contactName
     * @param \StructType\Api_Date $createTime
     * @param \StructType\Api_TransportCustomerId $customerId
     * @param \StructType\Api_Date $deletedTime
     * @param string $email
     * @param string $faxNumber
     * @param \StructType\Api_Date $lastModifiedTime
     * @param string $name
     * @param string $openHours
     * @param string $phoneNumber
     */
    public function __construct($additionalInfo = null, $contactName = null, \StructType\Api_Date $createTime = null, \StructType\Api_TransportCustomerId $customerId = null, \StructType\Api_Date $deletedTime = null, $email = null, $faxNumber = null, \StructType\Api_Date $lastModifiedTime = null, $name = null, $openHours = null, $phoneNumber = null)
    {
        $this
            ->setAdditionalInfo($additionalInfo)
            ->setContactName($contactName)
            ->setCreateTime($createTime)
            ->setCustomerId($customerId)
            ->setDeletedTime($deletedTime)
            ->setEmail($email)
            ->setFaxNumber($faxNumber)
            ->setLastModifiedTime($lastModifiedTime)
            ->setName($name)
            ->setOpenHours($openHours)
            ->setPhoneNumber($phoneNumber);
    }
    /**
     * Get additionalInfo value
     * @return string|null
     */
    public function getAdditionalInfo()
    {
        return $this->additionalInfo;
    }
    /**
     * Set additionalInfo value
     * @param string $additionalInfo
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setAdditionalInfo($additionalInfo = null)
    {
        // validation for constraint: string
        if (!is_null($additionalInfo) && !is_string($additionalInfo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($additionalInfo)), __LINE__);
        }
        $this->additionalInfo = $additionalInfo;
        return $this;
    }
    /**
     * Get contactName value
     * @return string|null
     */
    public function getContactName()
    {
        return $this->contactName;
    }
    /**
     * Set contactName value
     * @param string $contactName
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setContactName($contactName = null)
    {
        // validation for constraint: string
        if (!is_null($contactName) && !is_string($contactName)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($contactName)), __LINE__);
        }
        $this->contactName = $contactName;
        return $this;
    }
    /**
     * Get createTime value
     * @return \StructType\Api_Date|null
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }
    /**
     * Set createTime value
     * @param \StructType\Api_Date $createTime
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setCreateTime(\StructType\Api_Date $createTime = null)
    {
        $this->createTime = $createTime;
        return $this;
    }
    /**
     * Get customerId value
     * @return \StructType\Api_TransportCustomerId|null
     */
    public function getCustomerId()
    {
        return $this->customerId;
    }
    /**
     * Set customerId value
     * @param \StructType\Api_TransportCustomerId $customerId
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setCustomerId(\StructType\Api_TransportCustomerId $customerId = null)
    {
        $this->customerId = $customerId;
        return $this;
    }
    /**
     * Get deletedTime value
     * @return \StructType\Api_Date|null
     */
    public function getDeletedTime()
    {
        return $this->deletedTime;
    }
    /**
     * Set deletedTime value
     * @param \StructType\Api_Date $deletedTime
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setDeletedTime(\StructType\Api_Date $deletedTime = null)
    {
        $this->deletedTime = $deletedTime;
        return $this;
    }
    /**
     * Get email value
     * @return string|null
     */
    public function getEmail()
    {
        return $this->email;
    }
    /**
     * Set email value
     * @param string $email
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setEmail($email = null)
    {
        // validation for constraint: string
        if (!is_null($email) && !is_string($email)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($email)), __LINE__);
        }
        $this->email = $email;
        return $this;
    }
    /**
     * Get faxNumber value
     * @return string|null
     */
    public function getFaxNumber()
    {
        return $this->faxNumber;
    }
    /**
     * Set faxNumber value
     * @param string $faxNumber
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setFaxNumber($faxNumber = null)
    {
        // validation for constraint: string
        if (!is_null($faxNumber) && !is_string($faxNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($faxNumber)), __LINE__);
        }
        $this->faxNumber = $faxNumber;
        return $this;
    }
    /**
     * Get lastModifiedTime value
     * @return \StructType\Api_Date|null
     */
    public function getLastModifiedTime()
    {
        return $this->lastModifiedTime;
    }
    /**
     * Set lastModifiedTime value
     * @param \StructType\Api_Date $lastModifiedTime
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setLastModifiedTime(\StructType\Api_Date $lastModifiedTime = null)
    {
        $this->lastModifiedTime = $lastModifiedTime;
        return $this;
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setName($name = null)
    {
        // validation for constraint: string
        if (!is_null($name) && !is_string($name)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($name)), __LINE__);
        }
        $this->name = $name;
        return $this;
    }
    /**
     * Get openHours value
     * @return string|null
     */
    public function getOpenHours()
    {
        return $this->openHours;
    }
    /**
     * Set openHours value
     * @param string $openHours
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setOpenHours($openHours = null)
    {
        // validation for constraint: string
        if (!is_null($openHours) && !is_string($openHours)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($openHours)), __LINE__);
        }
        $this->openHours = $openHours;
        return $this;
    }
    /**
     * Get phoneNumber value
     * @return string|null
     */
    public function getPhoneNumber()
    {
        return $this->phoneNumber;
    }
    /**
     * Set phoneNumber value
     * @param string $phoneNumber
     * @return \StructType\Api_TransportCustomerTO
     */
    public function setPhoneNumber($phoneNumber = null)
    {
        // validation for constraint: string
        if (!is_null($phoneNumber) && !is_string($phoneNumber)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($phoneNumber)), __LINE__);
        }
        $this->phoneNumber = $phoneNumber;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\Api_TransportCustomerTO
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
